/*
 *
 * Admin Queue - This table contains the queue for calls to Admin
 *
 * admin_queue
 *	.admin_ext	Admin's extension
 *	.extension	Caller's extension
 *	.channel	Caller's Channel
 *	.priority	Caller's priority (1 = Norm, 2 = Urgent, 3 = Emergency)
 *	.ctime		Time (in seconds) that caller initiated call
 *	.tsecs		Time (in seconds) that caller entered the queue
 *	.status		Status of call: 'active', 'ringing', 'new'
 *
 * NOTE: Using enum fields because this table is transient, it does not
 *       store real data.
 */
DROP TABLE IF EXISTS admin_queue;
CREATE TABLE admin_queue (
	id		int unsigned NOT NULL AUTO_INCREMENT,
	facility	int(5) NOT NULL DEFAULT '1',
	admin_ext	varchar(40) NOT NULL,
	extension	varchar(40) NOT NULL,
	channel		varchar(40) NOT NULL,
	priority	tinyint NOT NULL DEFAULT '1',
	ctime		int unsigned NOT NULL,
	tsecs		int unsigned NOT NULL,
	status		enum('active','dialing','redirect','new') DEFAULT 'new',
PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
