/*
 * Amplifiers
 *
 * This table defines available amplifier devices,
 *
 * .master_volume - should be copied to all associated stations, but should
 *                  be read-only on the station view.
 *
 * The following fields should be copied to associated stations but not be
 * editable via station edit: vlan_config, vlan_id, priority_802_1p
 *
 */
DROP TABLE IF EXISTS amplifier;
CREATE TABLE amplifier (
        id                      int unsigned NOT NULL AUTO_INCREMENT,
	name			varchar(16),
	device_type		int DEFAULT 0,
        mac_address             varchar(12) DEFAULT '',
	ip_address		int unsigned NULL DEFAULT 0,  
	status			varchar(20) DEFAULT 'Unknown',
	description		varchar(128) DEFAULT 'Amplifier',
	master_volume		int(3) NOT NULL DEFAULT '0',
	intercom_volume		int(3) NOT NULL DEFAULT '-6',
        vlan_config             enum ('server','network','disabled'),
        vlan_id                 int(4) DEFAULT '2',
        priority_802_1p         int(1) DEFAULT '0',
	web_username            varchar(40) DEFAULT 'admin',
        web_password            varchar(40) DEFAULT 'bogen',
	serial_number		varchar(32) DEFAULT 'Unknown',
	fw_filename		varchar(128) DEFAULT '',
	number_of_stations	int NOT NULL DEFAULT '1',
	channels		varchar(8) DEFAULT '',
PRIMARY KEY (id),
UNIQUE KEY `mac_addr` (`mac_address`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
