/*
 *
 * Analog Lines supported by DAHDI FXS ports
 *
 * analog_line
 *	.extension	= The extension using this Analog line
 *	.port_name	= Read-only field, value will be supplied by system.
 *
 */
CREATE TABLE IF NOT EXISTS analog_line (
	id			int unsigned NOT NULL AUTO_INCREMENT,
	facility		int(5) NOT NULL,
	enabled			boolean NOT NULL DEFAULT TRUE,
	port_name		varchar(40),
	extension		varchar(40) NOT NULL DEFAULT '',
	status			varchar(80) DEFAULT 'Unknown',
PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE IF NOT EXISTS analog_line_help (
	id		varchar(128) DEFAULT '',
	facility	varchar(128),
	enabled		varchar(128),
	port_name	varchar(128),
	extension	varchar(128),
	status		varchar(128),
PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO analog_line_help (facility, enabled, status, extension, port_name)
VALUES	('Facility associated with the analog line.',
	 'Enable/disable analog line for use.',
	 'Current status for the analog line.',
	 'Station extension using this analog line.',
	 'System port name for the analog line.')
ON DUPLICATE KEY UPDATE facility='Facility associated with the analog line.';
