USE asterisk;
/*
 * This table defines a list of Nyquist devices that listen for ANS volume
 * reports.
 *
 * .ans_ext      - station extension of GAP10-ANS device sending volume data.
 * .listener_ext - station extension of Nyquist device receiving from ans_ext
 *
 */
DROP TABLE IF EXISTS ans_listeners;
CREATE TABLE ans_listeners (
	id			int unsigned NOT NULL AUTO_INCREMENT,
	ans_ext			varchar(40) NOT NULL,
	listener_ext		varchar(40) NOT NULL,
	ans_max_boost		tinyint unsigned NOT NULL DEFAULT 20,
	ans_threshold		tinyint NOT NULL DEFAULT -20,
	ans_volume_adjust	tinyint unsigned NOT NULL DEFAULT 12,
	ans_sample_length	tinyint unsigned NOT NULL DEFAULT 3,
PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
