/*
 *
 * Nquist Automatic Failover Configuration
 *
 * automatic_failover_config.mode:

 * The initial mode is 'setup' and stays in 'setup' until setup is complete.
 * When the cluster is destroyed using ha-destroy-cluster, the mode is switched
 * back to 'setup'.
 *
 * !!!!!! WARNING !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 *
 * If you add/remove fields from this table, make sure to update the
 * ha-get-config script's field processing of data returned by nysql.
 *
 * !!!!!! WARNING !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 *
 */
DROP TABLE IF EXISTS automatic_failover_config;
CREATE TABLE automatic_failover_config (
	id			int unsigned NOT NULL AUTO_INCREMENT,
	authentication_passwd	varchar(32) NOT NULL DEFAULT '',
	mode			enum ('enabled','setup') NOT NULL DEFAULT 'setup',
	shared_ip_addr		varchar(16) NOT NULL DEFAULT '',
	master_ip		varchar(16) NOT NULL DEFAULT '',
	standby_ip		varchar(16) NOT NULL DEFAULT '',
	master_hostname		varchar(255) NOT NULL DEFAULT '',
	standby_hostname	varchar(255) NOT NULL DEFAULT '',
PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO automatic_failover_config (mode) VALUES ('setup');
