/*
 *
 * Nyquist Automatic Failover Setup
 *
 */
DROP TABLE IF EXISTS automatic_failover_setup;
CREATE TABLE automatic_failover_setup (
	step			tinyint NOT NULL,
	role			enum ('master','standby') NOT NULL,
	completed_master	boolean NOT NULL DEFAULT '0',
	completed_standby	boolean NOT NULL DEFAULT '0',
	label			varchar(16) NOT NULL DEFAULT '',
	run_script		varchar(32) NOT NULL DEFAULT '',
	instructions		varchar(500) NOT NULL DEFAULT '',
PRIMARY KEY (step)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO automatic_failover_setup (step, role, label, run_script, instructions)
VALUES	('1','master', 'Initialization', 'ha-init-master', '1. On the Primary node, press the Initialization button and wait for successful completion.<br>2. On the Secondary node, press the Initialization button under Primary Node to indicate that the step has been completed.<br>3. On the Secondary node, press the Initialization button and wait for successful completion.<br>4. On the Primary node, press the Initialization button under Secondary Node to indicate that the step has been completed.'),
	('2','standby', 'Initialization', 'ha-init-slave', '1. On the Primary node, press the Initialization button and wait for successful completion.<br>2. On the Secondary node, press the Initialization button under Primary Node to indicate that the step has been completed.<br>3. On the Secondary node, press the Initialization button and wait for successful completion.<br>4. On the Primary node, press the Initialization button under Secondary Node to indicate that the step has been completed.'),
	('3','master', 'Database', 'ha-init-mysql-master', '1. On the Primary node, press the Database button and refresh page until successful completion.<br>2. On the Secondary node, press the Database button under Primary Node to indicate that the step has been completed.<br>3. On the Secondary node, press the Database button and refresh page until successful completion.<br>4. On the Primary node, press the Database button under Secondary Node to indicate that the step has been completed.'),
	('4','standby', 'Database', 'ha-init-mysql-slave', '1. On the Primary node, press the Database button and refresh page until successful completion.<br>2. On the Secondary node, press the Database button under Primary Node to indicate that the step has been completed.<br>3. On the Secondary node, press the Database button and refresh page until successful completion.<br>4. On the Primary node, press the Database button under Secondary Node to indicate that the step has been completed.'),
	('5','master', 'Services', 'ha-init-stop-services', '1. On the Primary node, press the Services button and wait for successful completion.<br>2. On the Secondary node, press the Services button under Primary Node to indicate that the step has been completed.<br>3. On the Secondary node, press the Services button and wait for successful completion.<br>4. On the Primary node, press the Services button under Secondary Node to indicate that the step has been completed.'),
	('6','standby', 'Services', 'ha-init-stop-services', '1. On the Primary node, press the Services button and wait for successful completion.<br>2. On the Secondary node, press the Services button under Primary Node to indicate that the step has been completed.<br>3. On the Secondary node, press the Services button and wait for successful completion.<br>4. On the Primary node, press the Services button under Secondary Node to indicate that the step has been completed.'),
	('7','master', 'Resources', 'ha-init-resources', '1. On the Primary node, press the Resources button and wait for successful completion.<br>2. On the Secondary node, press the Resources button under Primary Node to indicate that the step has been completed.<br>3. On the Secondary node, press the Resources button and wait for successful completion.<br>4. On the Primary node, press the Resources button under Secondary Node to indicate that the step has been completed.'),
	('8','standby', 'Resources', 'ha-init-resources', '1. On the Primary node, press the Resources button and wait for successful completion.<br>2. On the Secondary node, press the Resources button under Primary Node to indicate that the step has been completed.<br>3. On the Secondary node, press the Resources button and wait for successful completion.<br>4. On the Primary node, press the Resources button under Secondary Node to indicate that the step has been completed.');
