/*
 * CoS Templates
 *
 * Each row contains a CoS template that can be applied to stations.
 *
 * cos.enabled is TRUE if the CoS Template is enabled. It allows
 *  the customer to enable/disable CoS Templates without having to
 *  delete them.
 *
 * cos.callin_level is set from callin_level_enum.id
 *
 * NOTE: A CoS Template can not be deleted if any stations exist
 *  with a reference to it via station.day_cos or station.night_cos
 *
 */
DROP TABLE IF EXISTS cos;
CREATE TABLE cos (
   id				int(5) unsigned NOT NULL AUTO_INCREMENT,
   enabled			boolean NOT NULL,
   name				varchar(20),
   callin_level			int NOT NULL DEFAULT 1,
   has_zone_paging		boolean NOT NULL DEFAULT FALSE, 
   has_all_call_page		boolean NOT NULL DEFAULT FALSE, 
   has_emergency_all_call	boolean NOT NULL DEFAULT FALSE, 
   has_interfacility_callpage	boolean NOT NULL DEFAULT FALSE, 
   has_program_distribution	boolean NOT NULL DEFAULT FALSE, 
   has_remote_pickup		boolean NOT NULL DEFAULT FALSE, 
   has_bump_call		boolean NOT NULL DEFAULT FALSE, 
   has_call_forwarding		boolean NOT NULL DEFAULT FALSE, 
   has_walking_cos		boolean NOT NULL DEFAULT FALSE, 
   has_external_call_routing	boolean NOT NULL DEFAULT FALSE, 
   has_call_transfer		boolean NOT NULL DEFAULT FALSE, 
   has_manual_activate_tone	boolean NOT NULL DEFAULT FALSE, 
   has_call_anystation		boolean NOT NULL DEFAULT FALSE,
   has_manage_recordings	boolean NOT NULL DEFAULT FALSE,
   has_call_monitoring		boolean NOT NULL DEFAULT FALSE,
   has_loc_monitoring		boolean NOT NULL DEFAULT FALSE,
   has_conf_admin		boolean NOT NULL DEFAULT FALSE,
   has_conf_user 		boolean NOT NULL DEFAULT FALSE,
   has_voicemail		boolean NOT NULL DEFAULT FALSE,
   has_call_recording		boolean NOT NULL DEFAULT FALSE,
   has_activate_alarms		boolean NOT NULL DEFAULT FALSE,
   has_disable_audio		boolean NOT NULL DEFAULT FALSE,
   has_enable_audio		boolean NOT NULL DEFAULT FALSE,
   has_callee_autoanswer	boolean NOT NULL DEFAULT FALSE,
   has_multiserver_paging	boolean NOT NULL DEFAULT FALSE,
   has_interfacility_features	boolean NOT NULL DEFAULT FALSE,
   has_manage_output_contacts	boolean NOT NULL DEFAULT FALSE,
   has_execute_routines		boolean NOT NULL DEFAULT FALSE,
PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO cos (enabled, name, callin_level, has_zone_paging, has_all_call_page, has_emergency_all_call, has_interfacility_callpage, has_program_distribution, has_remote_pickup, has_bump_call, has_call_forwarding, has_walking_cos, has_external_call_routing, has_call_transfer, has_manual_activate_tone, has_call_anystation, has_manage_recordings, has_call_monitoring, has_loc_monitoring, has_conf_admin, has_conf_user, has_voicemail, has_call_recording, has_activate_alarms, has_disable_audio, has_enable_audio, has_callee_autoanswer, has_multiserver_paging, has_interfacility_features, has_manage_output_contacts, has_execute_routines)
VALUES	(TRUE, 'Admin Phone', 1, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE),
	(TRUE, 'Classroom', 1, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE);
INSERT INTO cos (enabled, name) VALUES (TRUE, 'No Privs');
SELECT * FROM cos;
