/*
 * cos_defs can be used by the Web UI for assistance to know
 *  which CoS attributes to display on the CoS Template configuration
 *  screen.
 *
 *  If cos_defs.supported is TRUE, the row should be included in
 *  drop-down selection list presented to the user; otherwise it
 *  should not be included. For CoS attributes that are not
 *  collected by the user because .supported is FALSE, the DEFAULT
 *  value for the associated attribute will be FALSE, and the
 *  system will not use it.
 *
 *  .type provides a hint at the type of data to collect. If type is an
 *   enum, the value will contain the enum's table name (e.g. callin_level_enum)
 *   Some valid bool_* values are bool_checkbox, bool_yesno, bool_truefalse
 *
 *  .display_name provides text to display in the drop-down selection list.
 *
 *  .db_field provides the column name to use in the cos table for UPDATE.
 *
 *  .help can be used to display help for flyover or other help initiation.
 *
 *  .id will always remain the same per row, new columns will be appended.
 *
 */
DROP TABLE IF EXISTS cos_defs;
CREATE TABLE cos_defs (
	id		smallint NOT NULL,
	type		varchar(20) NOT NULL,
	supported	boolean NOT NULL,
	display_name	varchar(40) NOT NULL,
	db_field	varchar(40) NOT NULL,
	help		varchar(250) NOT NULL,
 PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
