/*
 *
 * Controller Rules - This table contains rules for starting events via
 *	contact closure events from I/O controller devices.
 *
 * ctrl_rule
 *	.extension	Extension for this call
 *
 */
DROP TABLE IF EXISTS ctrl_rule;
CREATE TABLE ctrl_rule (
	id		int unsigned NOT NULL AUTO_INCREMENT,
	enabled		boolean NOT NULL DEFAULT FALSE,
	extension	varchar(40) NOT NULL,
	contact_num	int(2) NOT NULL,
	contact_type	enum('input','output'),
	name		varchar(32) NOT NULL DEFAULT '',
	description	varchar(128) DEFAULT '',
	close_interval	int(5) DEFAULT '0',
	action_in	enum('Audio','Alarm','Announcement','Disable-Audio','Other','Tone','Enable-Audio','Sync-Clock') DEFAULT 'Other',
	action_in_id	int(5) DEFAULT '0',
	stop_on		enum('Manual Control','Contact Open') DEFAULT 'Manual Control',
	action_out	enum('911','Audio','Alarm','Announcement','All-Call','District-All-Call','District-Emergency-All-Call','Emergency-Call','Emergency-All-Call','Hourly','Audio-Disabled','No Action','Page','Tone','Manual') DEFAULT 'No Action',
	action_out_id	int(5) DEFAULT 0,
	zones		varchar(256) DEFAULT '0',
	close_ext	varchar(40) DEFAULT '',
	close_contact	int(5) DEFAULT '0',
	duration	int(5) DEFAULT '0',
	on_time		time DEFAULT '00:00:00',
	days		varchar(20) DEFAULT '',
	control_stations varchar(512) DEFAULT '',
	close_btn_label	varchar(25) DEFAULT 'Close',
	open_btn_label	varchar(25) DEFAULT 'Open',
	dashboard_type	enum('911-popup','motd','popup','text','io-contact','none') DEFAULT 'none',
	dashboard_title	varchar(50) DEFAULT '',
	dashboard_scope	enum('All','Admin') DEFAULT 'Admin',
	dashboard_text	varchar(255) DEFAULT '',
	dashboard_style	enum('basic','success','info','warning','danger') DEFAULT 'basic',
	email		varchar(512) DEFAULT '',
	email_account	varchar(80) DEFAULT '',
	sync_time	time DEFAULT '00:00:00',
PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
DROP TABLE IF EXISTS ctrl_rule_help;
CREATE TABLE ctrl_rule_help (
	id		int unsigned NOT NULL AUTO_INCREMENT,
	enabled		varchar(128),
	extension	varchar(128),
	contact_num	varchar(128),
	contact_type	varchar(128),
	name		varchar(128),
	description	varchar(128),
	close_interval	varchar(128),
	action_in	varchar(128),
	action_in_id	varchar(128),
	stop_on		varchar(256),
	action_out	varchar(128),
	action_out_id	varchar(128),
	zones		varchar(255),
	close_ext	varchar(128),
	close_contact	varchar(128),
	duration	varchar(128),
	on_time		varchar(128),
	days		varchar(128),
	control_stations varchar(128),
	close_btn_label	varchar(150),
	open_btn_label	varchar(150),
	dashboard_type	varchar(256),
	dashboard_title	varchar(128),
	dashboard_scope	varchar(128),
	dashboard_text	varchar(128),
	dashboard_style	varchar(128),
	email		varchar(128),
	email_account	varchar(128),
	sync_time	varchar(128),
PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
