USE asterisk;
/*
 *
 * Nyquist DHCP Server configuration
 *
 * default_lease_time - default is 1 week
 * max_lease_time - default is 1 month
 * gateway - provides a way to override gateway that Nyquist is using on Port-A
 * dns_servers - comma separated list of DNS servers.
 */
DROP TABLE IF EXISTS dhcp_server;
CREATE TABLE dhcp_server (
	id			int unsigned  NOT NULL AUTO_INCREMENT,
	enabled			boolean       NOT NULL DEFAULT '0',
	default_lease_time	varchar(16)   NOT NULL DEFAULT '604800',
	max_lease_time		varchar(16)   NOT NULL DEFAULT '2592000',
	ip_range_start		varchar(16)   NOT NULL DEFAULT '',
	ip_range_end		varchar(16)   NOT NULL DEFAULT '',
	gateway			varchar(253)  NOT NULL DEFAULT '',
	domain_name		varchar(253)  NOT NULL DEFAULT '',
	dns_servers		varchar(1024) NOT NULL DEFAULT '',
PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO dhcp_server (enabled) VALUES ('0');
