USE asterisk;
/*
 * Digit Maps for IP Phones that support configurable Digit maps
 *
 * This table contains digit map strings for IP phones that support
 * configurable digit maps (e.g. Digium, Snom).
 *
 * digit_map.id       - Unique ID for digit map entry
 *  .phone_type       - Type of phone for this digit map
 *  .map_string       - The digit map for this phone type
 *
 * If .phone_type is Spa112-<extension>, then it's a digit map
 * for an SPA112 with station extension = <extension>.
 *
 */
DROP TABLE IF EXISTS digit_map;
SELECT 'Creating digit_map table' AS ' ';
CREATE TABLE digit_map (
	id			int(5) NOT NULL,
	phone_type		varchar(40),
	map_string		varchar(255),
PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

DROP TABLE IF EXISTS digit_map_help;
CREATE TABLE digit_map_help (
	id			varchar(128) DEFAULT '',
	phone_type		varchar(256),
	map_string		varchar(256),
PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
