/*
 * NQ-P0100 Matrix Mixer Pre-Amp Channel Configuration
 *
 * mixer_channel
 *      .extension      Station Extension of NQ-P0100 Matrix Mixer Pre-Amp
 *      .channel        Channel number to configure
 *      .volume         Channel's Volume
 *      .bass           Channel's Bass Level
 *      .treble         Channel's Treble Level
 *	.mode		Channle's Mode (Line or Microphone)
 *	.phantom_power	Apply phantom power for condenser microphone.
 *	.input_gain	Channel's Input Gain
 *
 */
DROP TABLE IF EXISTS mixer_channel;
CREATE TABLE mixer_channel (
	id		int unsigned NOT NULL AUTO_INCREMENT,
	extension	varchar(40) NOT NULL,
	channel		int(1) NOT NULL,
	name		varchar(40) NOT NULL,
	send_to_line_output	boolean NOT NULL DEFAULT FALSE,
	volume		int(3) NOT NULL DEFAULT '100',
	bass		int(3) NOT NULL DEFAULT '50',
	treble		int(3) NOT NULL DEFAULT '50',
	mode		enum ('Line-Analog', 'Line-Digital', 'Microphone') DEFAULT 'Microphone',
	phantom_power	boolean NOT NULL DEFAULT 0,
	input_gain	int(3) NOT NULL DEFAULT '50',
PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

DROP TABLE IF EXISTS mixer_channel_help;
CREATE TABLE mixer_channel_help (
	id		int unsigned NOT NULL AUTO_INCREMENT,
	extension	varchar(128),
	channel		varchar(128),
	name		varchar(64),
	send_to_line_output varchar(128),
	volume		varchar(128),
	bass		varchar(128),
	treble		varchar(128),
	mode		varchar(128),
	phantom_power	varchar(128),
	input_gain	varchar(128),
PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
