/*
 *
 * Outside Lines
 *
 * outside_line
 *	.extension	= If DISA type,should be mapped to existing DISA station
 *	.port_name	= Read-only field, value will be supplied by system.
 *	.port_type	= Read-only field, telephony_port_types.id
 *	.access		= outside_line_access_types.id
 *	.did		= POTS phone number associated with this port
 *
 */
DROP TABLE IF EXISTS outside_line;
CREATE TABLE outside_line (
	id			int unsigned NOT NULL AUTO_INCREMENT,
	facility		int(5) NOT NULL,
	enabled			boolean NOT NULL DEFAULT TRUE,
	status			varchar(80) DEFAULT 'Unknown',
	extension		varchar(40) NOT NULL,
	port_name		varchar(40),
	description		varchar(128),
	port_type		int(2) NOT NULL,
	access			int DEFAULT 1,
	dial_prefix		varchar(40) DEFAULT '',
	did			varchar(16),
	day_admin		varchar(16),
	night_admin		varchar(16),
	admin_group		int NOT NULL,
PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
DROP TABLE IF EXISTS outside_line_help;
CREATE TABLE outside_line_help (
	id		varchar(128) DEFAULT '',
	facility	varchar(128),
	enabled		varchar(128),
	status		varchar(128),
	extension	varchar(128),
	port_name	varchar(128),
	description	varchar(128),
	port_type	varchar(128),
	access		varchar(128),
	did		varchar(128),
	day_admin	varchar(128),
	night_admin	varchar(128),
	admin_group	varchar(128),
	dial_prefix	varchar(128),
PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO outside_line_help (facility, enabled, status, extension, port_name, description, port_type, access, did, day_admin, night_admin, admin_group, dial_prefix)
VALUES	('Facility associated with the outside line.',
	 'Enable/disable outside line for use.',
	 'Current status for the outside line.',
	 'Station extension associated with the outside line (DISA station mapping and CallerID for incoming DISA).',
	 'System port name for the outside line.',
	 'User description for use of the outside line.',
	 'System port type for the outside line.',
	 'Level of access allowed on the outside line.',
	 'Telephone number associated with the outside line.',
	 'Day admin to call for incoming calls during day time hours.',
	 'Night admin to call for incoming calls during night time hours.',
	 'Admin group to call if day/night admin do not answer incoming call.',
	 'Dial prefix required to gain outside line access.');
SELECT * FROM outside_line_help;
