/*
 * The product_feature table contains configuration information for all features
 * (e.g. Zones, Stations, Admin Group, CoS)
 *
 * .is_enabled - indicates that the feature is enabled.
 *
 * .has_navgroup - indicates that the feature is enabled and should be displayed
 *  to the user via the navigation pane.
 *
 *  If .has_navgroup is TRUE, then .parent may indicate a tree relationship
 *  between other features.
 *  The value 'root' is special, it means the navgroup is the root of the tree.
 *  If .has_navgroup is FALSE, the value 'feature' is used for .parent.
 *
 * .name is for doing row SELECT
 *	Example, to see if Audio Distribution is enabled:
 * 	SELECT is_enabled FROM product_feature WHERE name='audiodist';
 *
 */
DROP TABLE IF EXISTS product_feature;
CREATE TABLE product_feature (
	id		int NOT NULL AUTO_INCREMENT,
	is_enabled	boolean NOT NULL,
	has_navgroup	boolean NOT NULL,
	has_link	boolean NOT NULL,
	sort_order      int(3) NOT NULL,
	name		varchar(40) NOT NULL,
	parent		varchar(40) NOT NULL,
	label		varchar(40) NOT NULL,
	label_plural	varchar(40) NOT NULL,
	class_name	varchar(40) NOT NULL,
	glyph_name	varchar(40) NOT NULL,	
	icon_filename	varchar(256) DEFAULT NULL,
	permission	varchar(40) NOT NULL,
PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
