/*
 * This table contains parent instances of routines.
 *
 * .pid - Process ID of main task running the routine.
 *
 * .extension - Station extension to use when routines perform actions.
 *              Needed because dial plan extension lookup CoS based on station
 *              extension.
 * .use_callers_ext - If value is 1, use the caller's extension that triggered
 *              the routine. If no valid caller's extension, then use
 *              routine.extension.
 *
 */
DROP TABLE IF EXISTS routine;
CREATE TABLE routine (
	id		int unsigned NOT NULL AUTO_INCREMENT,
	enabled		boolean NOT NULL DEFAULT 0,
	name		varchar(64) NOT NULL DEFAULT 'New Routine',
	extension	varchar(40) NOT NULL DEFAULT '',
	use_callers_ext	boolean NOT NULL DEFAULT 1,
	allow_dtmf	boolean NOT NULL DEFAULT 0,
	allow_api	boolean NOT NULL DEFAULT 0,
	allow_multiple	boolean NOT NULL DEFAULT 1,
	dtmf_code	int unsigned default NULL,
	description	varchar(255) DEFAULT '',
PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
