/*
 * Schedule Announcements
 *
 * This table defines announcements that have been scheduled to play at a predefined time.
 *
 */
DROP TABLE IF EXISTS schedule_announcements;
CREATE TABLE schedule_announcements (
	id 			int(2) unsigned NOT NULL AUTO_INCREMENT,
	announcement_id		int(10) NOT NULL,
	signal_date		date NOT NULL,
	signal_time		time NOT NULL,
	zones			varchar(256) NOT NULL,
	call_file		varchar(256) NOT NULL,
	enable_recurrence	int NOT NULL DEFAULT 0,
	recurrence_start_date	date DEFAULT '0000-00-00',
	recurrence_end_date	date DEFAULT '0000-00-00',
	cron_minute		varchar(512) DEFAULT '',
	cron_hour		varchar(512) DEFAULT '',
	cron_day		varchar(512) DEFAULT '',
	cron_month		varchar(512) DEFAULT '',
	cron_day_of_week	varchar(512) DEFAULT '',
	crontab			varchar(4096) DEFAULT '',
	second			varchar(3) DEFAULT 0,
	creator_ext		varchar(6) DEFAULT '1',
	max_wait_seconds	int(5) NOT NULL DEFAULT 120,
 PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

