/*
 * Schedule Events
 *
 * This table defines events that may be added to a schedule.
 *
 * playlists_id - If > 0 and playlist_cmd == 'start', indicates a start event
 *                for "Class Change Music" using playlist.
 * playlist_cmd - If = 'start', means start "Class Change Music".
 *                If = 'stop', means stop "Class Change Music".
 * input_extension - If none-null value and input_cmd == 'start', indicates
 *                a start event for "Class Change Music" using
 *                MMPA Channel Input.
 * input_cmd    - If = 'start', means start "Class Change Music" from MMPA.
 *                If = 'stop', means stop "Class Change Music" from MMPA.
 *
 * display_event_name - If equals 1, means the event name shall be displayed
 *                      on GA10PV Displays that subscribe to the event zones.
 *
 */
DROP TABLE IF EXISTS schedule_events;
CREATE TABLE schedule_events (
	id 		int(2) unsigned NOT NULL AUTO_INCREMENT,
	name		varchar(128) NOT NULL,
	schedule_id 	int(2) NOT NULL,
	signal_time	time NOT NULL,
	zones		varchar(256) NOT NULL,
	tone_id		int(2) NOT NULL, 
	playlists_id	int(2) NOT NULL DEFAULT '0',
	playlist_cmd	enum ('none','start','stop','start-stream','stop-stream') DEFAULT 'none',
	input_extension	varchar(40) DEFAULT '',
	input_channel	int(1) DEFAULT 0,
	input_cmd	enum ('none','start','stop') DEFAULT 'none',
	stationlist   	varchar(4000) DEFAULT '',
	display_event_name boolean NOT NULL DEFAULT 0,
 PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
