/*
 * Schedule Routine
 *
 * This table defines routines that have been scheduled to execute at a specified time.
 *
 */
DROP TABLE IF EXISTS scheduled_routines;
CREATE TABLE scheduled_routines (
	id 			int(2) unsigned NOT NULL AUTO_INCREMENT,
	routine_id		int(10) NOT NULL,
	signal_date		date NOT NULL,
	signal_time		time NOT NULL,
	command_param1		varchar(255) DEFAULT '',
	command_param2		varchar(255) DEFAULT '',
	zone			varchar(16) DEFAULT '0',
	call_file		varchar(128) NOT NULL,
	enable_recurrence	boolean NOT NULL DEFAULT 0,
	recurrence_start_date	date DEFAULT '0000-00-00',
	recurrence_end_date	date DEFAULT '0000-00-00',
	cron_minute		varchar(512) DEFAULT '',
	cron_hour		varchar(512) DEFAULT '',
	cron_day		varchar(512) DEFAULT '',
	cron_month		varchar(512) DEFAULT '',
	cron_day_of_week	varchar(512) DEFAULT '',
	crontab			varchar(4096) DEFAULT '',
	second			varchar(3) DEFAULT 0,
 PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

