USE asterisk;
/*
 *
 * Remote Server configuration
 *
 * NOTE: Do not expose .context to the user.
 *
 * server.name    - Remote server's facility name (spaces replaced with dashes).
 *       .host    - Remove server's fully qualified hostname or IP address.
 *       .secret  - Password to use when accessing the Remove server.
 *       .context - Context to use for incoming. (DON'T EXPOSE THIS TO USER.)
 *       .enabled - When enabled, facility will register with remote facility.
 *
 */
DROP TABLE IF EXISTS server;
SELECT 'Creating server table' AS ' ';
CREATE TABLE server (
	id			int(5) NOT NULL AUTO_INCREMENT,
	page_number             int(5) NOT NULL,
	name			varchar(40),
	host			varchar(128),
	secret			varchar(128) NOT NULL DEFAULT 'BogenSrvNyq1',
	context			varchar(40) NOT NULL DEFAULT 'bogen',
	enabled			boolean NOT NULL DEFAULT 1,
	status			varchar(128) DEFAULT '',
PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

DROP TABLE IF EXISTS server_help;
CREATE TABLE server_help (
	id			int unsigned NOT NULL AUTO_INCREMENT,
	page_number             varchar(64),
	name			varchar(64),
	host			varchar(64),
	secret			varchar(128),
	enabled			varchar(128),
	status			varchar(64),
PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO server_help (page_number, name, host, secret, enabled, status)
VALUES ('The facility number identifier.',
	'Facility name of remote server (with spaces replaced by dashes).',
	'Host name or host IP address of remote server.',
	'Password to use for remote connection (Facility Password defined on remote server).',
	'When enabled, this facility will register with the remote facility.',
	'Registration status of local and remote facility peers.');

