DROP TABLE IF EXISTS station;
CREATE TABLE station (
	id			int unsigned NOT NULL AUTO_INCREMENT,
	extension		varchar(40) NOT NULL,
	name			varchar(16),
	type			int(5) NOT NULL,
	device_type		int DEFAULT 0,
	mac_address		varchar(12) DEFAULT '',
	facility		int(5) NOT NULL,
	day_cos			int NOT NULL,
	night_cos		int NOT NULL,
	day_admin		varchar(16),
	night_admin		varchar(16),
	admin_group		int NOT NULL,
	has_call_recording	boolean NOT NULL DEFAULT FALSE,
	outside_access		int DEFAULT 1,
	911_route		varchar(40) DEFAULT 'No Access',
	description		varchar(128),
	auth_code		varchar(4) NOT NULL DEFAULT '0000',
	status			varchar(40) DEFAULT 'Unknown',
	ip_address		varchar(20) DEFAULT 'Unknown',
	spkr_ext		varchar(40) DEFAULT '',
	has_paging              boolean NOT NULL DEFAULT TRUE,
	has_multicast_audio     boolean NOT NULL DEFAULT TRUE,
	master_volume		int(3) NOT NULL DEFAULT '0',
	intercom_volume		int(3) NOT NULL DEFAULT '-6',
	vlan_config             enum ('server','network','disabled') DEFAULT 'network',
	vlan_id			int(4) DEFAULT '2',
	priority_802_1p		int(1) DEFAULT '0',
	gateway_id		int unsigned NOT NULL DEFAULT '0',
	gateway_port		int unsigned NOT NULL DEFAULT '0',
	web_username            varchar(40) DEFAULT 'admin',
	web_password            varchar(40) DEFAULT 'bogen',
	serial_number		varchar(32) DEFAULT 'Unknown',
	fw_filename		varchar(128) DEFAULT '',
	talkback_gain		int(3) NOT NULL DEFAULT '20',
	schools_sites		varchar(128) DEFAULT '',
	maps           		varchar(128) DEFAULT '',
	queue_zone		varchar(5) DEFAULT '',
	amplifier_id		int unsigned NOT NULL DEFAULT '0',
	amplifier_port		int unsigned NOT NULL DEFAULT '0',
	announcements_zone	varchar(5) DEFAULT '',
	external_relay_trigger	enum ('enabled','disabled') DEFAULT 'disabled',
	announcements_zone_config_type enum ('default', 'fixed') NOT NULL DEFAULT 'default',
	load_impedance		enum ('low','high') NOT NULL DEFAULT 'low',
	output_power		varchar(16) NOT NULL DEFAULT '',
	sip_trunk_id_day	int unsigned NOT NULL DEFAULT 0,
	sip_trunk_id_night	int unsigned NOT NULL DEFAULT 0,
PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
