/*
* Station Template
*
* The station_template table is used to store data from the last new station and fill 
* in the station form automatically when creating a new station.  Saves time when creating 
* a bunch of stations with the same settings.
*
*/
DROP TABLE IF EXISTS station_template;
CREATE TABLE station_template (
	id			int unsigned NOT NULL AUTO_INCREMENT,
	facility		int(5) NOT NULL,
	type			int(5) NOT NULL,
	extension		varchar(40) NOT NULL,
	day_cos			int NOT NULL,
	night_cos		int NOT NULL,
	day_admin		varchar(16),
	night_admin		varchar(16),
	codec_list		varchar(200),
	admin_group		int NOT NULL,
	device_type		int DEFAULT 0,
	mac_address		varchar(12) DEFAULT '',
	has_call_recording	boolean NOT NULL DEFAULT FALSE,
	outside_access          int(11) NOT NULL,
	has_paging	        boolean NOT NULL DEFAULT TRUE,
	has_multicast_audio     boolean NOT NULL DEFAULT TRUE,
	master_volume		int(3) NOT NULL DEFAULT '0',
	intercom_volume		int(3) NOT NULL DEFAULT '-6',
	vlan_config             enum ('server','network','disabled'),
	vlan_id			int(4) DEFAULT '2',
	priority_802_1p		int(1) DEFAULT '0',
        talkback_gain           int(3) NOT NULL DEFAULT '20',
	load_impedance		enum ('low','high') NOT NULL DEFAULT 'low',
	output_power		varchar(16) NOT NULL DEFAULT '',
PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
