/*
 *
 * System Backups- This table contains a list of available system backups.
 *
 * system_backup
 *	.action		Action requested by Web UI
 *	.date_time	Date/Time string representing when backup was created.
 *	.description	System created and user editable description of backup.
 *
 * NOTE: Using enum fields because this table is transient.
 */
DROP TABLE IF EXISTS system_backup;
CREATE TABLE system_backup (
	id            int unsigned NOT NULL AUTO_INCREMENT,
	action        enum('archive','delete','export','restore','save') DEFAULT 'save',
	date_time     varchar(32) NOT NULL,
	file_type     enum('INC','FULL','PARTIAL','RECORDINGS','VOICEMAIL') NOT NULL,
	filenames     varchar(256) NOT NULL DEFAULT
		'ast_files.tar.gz;database.sql.gz;errlog;user_data.tar.gz',
	description   varchar(256) DEFAULT '',
	backup_exists enum('check','no','unknown','yes') NOT NULL DEFAULT 'yes',
	year          varchar(4),
	month         varchar(2),
	day           varchar(2),
	hour          varchar(2),
	minute        varchar(2),
	second        varchar(2),
	keep          boolean NOT NULL DEFAULT 0,
PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
