/*
 * Timezones
 *
 * This table lists all the available time zones for setting the server timezone conf file.
 *
 */
DROP TABLE IF EXISTS `timezones`;

CREATE TABLE `timezones` (
  `id`			int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` 		varchar(100) NOT NULL ,
  `utc_offset` 		varchar(10) NOT NULL ,
  `utc_dst_offset` 	varchar(10) NOT NULL ,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci; 

INSERT INTO `timezones` (`id`, `name`, `utc_offset`, `utc_dst_offset`)
VALUES
	(1,'Africa/Accra','+00:00','+00:00'),
	(2,'Africa/Addis_Ababa','+03:00','+03:00'),
	(3,'Africa/Algiers','+01:00','+01:00'),
	(4,'Africa/Asmara','+03:00','+03:00'),
	(5,'Africa/Bamako','+00:00','+00:00'),
	(6,'Africa/Bangui','+01:00','+01:00'),
	(7,'Africa/Banjul','+00:00','+00:00'),
	(8,'Africa/Blantyre','+02:00','+02:00'),
	(9,'Africa/Brazzaville','+01:00','+01:00'),
	(10,'Africa/Bujumbura','+02:00','+02:00'),
	(11,'Africa/Cairo','+02:00','+02:00'),
	(12,'Africa/Casablanca','+00:00','+01:00'),
	(13,'Africa/Ceuta','+01:00','+02:00'),
	(14,'Africa/Conakry','+00:00','+00:00'),
	(15,'Africa/Dakar','+00:00','+00:00'),
	(16,'Africa/Dar_es_Salaam','+03:00','+03:00'),
	(17,'Africa/Djibouti','+03:00','+03:00'),
	(18,'Africa/Douala','+01:00','+01:00'),
	(19,'Africa/El_Aaiun','+00:00','+01:00'),
	(20,'Africa/Freetown','+00:00','+00:00'),
	(21,'Africa/Gaborone','+02:00','+02:00'),
	(22,'Africa/Harare','+02:00','+02:00'),
	(23,'Africa/Johannesburg','+02:00','+02:00'),
	(24,'Africa/Juba','+03:00','+03:00'),
	(25,'Africa/Kampala','+03:00','+03:00'),
	(26,'Africa/Khartoum','+03:00','+03:00'),
	(27,'Africa/Kigali','+02:00','+02:00'),
	(28,'Africa/Kinshasa','+01:00','+01:00'),
	(29,'Africa/Lagos','+01:00','+01:00'),
	(30,'Africa/Libreville','+01:00','+01:00'),
	(31,'Africa/Lome','+00:00','+00:00'),
	(32,'Africa/Luanda','+01:00','+01:00'),
	(33,'Africa/Lubumbashi','+02:00','+02:00'),
	(34,'Africa/Lusaka','+02:00','+02:00'),
	(35,'Africa/Malabo','+01:00','+01:00'),
	(36,'Africa/Maputo','+02:00','+02:00'),
	(37,'Africa/Maseru','+02:00','+02:00'),
	(38,'Africa/Mbabane','+02:00','+02:00'),
	(39,'Africa/Mogadishu','+03:00','+03:00'),
	(40,'Africa/Monrovia','+00:00','+00:00'),
	(41,'Africa/Nairobi','+03:00','+03:00'),
	(42,'Africa/Ndjamena','+01:00','+01:00'),
	(43,'Africa/Niamey','+01:00','+01:00'),
	(44,'Africa/Nouakchott','+00:00','+00:00'),
	(45,'Africa/Ouagadougou','+00:00','+00:00'),
	(46,'Africa/Porto-Novo','+01:00','+01:00'),
	(47,'Africa/Sao_Tome','+00:00','+00:00'),
	(48,'Africa/Tripoli','+02:00','+02:00'),
	(49,'Africa/Tunis','+01:00','+01:00'),
	(50,'Africa/Windhoek','+01:00','+02:00'),
	(51,'America/Adak','_10:00','_09:00'),
	(52,'America/Anchorage','_09:00','_08:00'),
	(53,'America/Anguilla','_04:00','_04:00'),
	(54,'America/Antigua','_04:00','_04:00'),
	(55,'America/Araguaina','_03:00','_03:00'),
	(56,'America/Argentina/Buenos_Aires','_03:00','_03:00'),
	(57,'America/Argentina/Catamarca','_03:00','_03:00'),
	(58,'America/Argentina/Cordoba','_03:00','_03:00'),
	(59,'America/Argentina/Jujuy','_03:00','_03:00'),
	(60,'America/Argentina/La_Rioja','_03:00','_03:00'),
	(61,'America/Argentina/Mendoza','_03:00','_03:00'),
	(62,'America/Argentina/Rio_Gallegos','_03:00','_03:00'),
	(63,'America/Argentina/Salta','_03:00','_03:00'),
	(64,'America/Argentina/San_Juan','_03:00','_03:00'),
	(65,'America/Argentina/San_Luis','_03:00','_03:00'),
	(66,'America/Argentina/Tucuman','_03:00','_03:00'),
	(67,'America/Argentina/Ushuaia','_03:00','_03:00'),
	(68,'America/Aruba','_04:00','_04:00'),
	(69,'America/Asuncion','_04:00','_03:00'),
	(70,'America/Atikokan','_05:00','_05:00'),
	(71,'America/Bahia','_03:00','_02:00'),
	(72,'America/Bahia_Banderas','_06:00','_05:00'),
	(73,'America/Barbados','_04:00','_04:00'),
	(74,'America/Belem','_03:00','_03:00'),
	(75,'America/Belize','_06:00','_06:00'),
	(76,'America/Blanc-Sablon','_04:00','_04:00'),
	(77,'America/Boa_Vista','_04:00','_04:00'),
	(78,'America/Bogota','_05:00','_05:00'),
	(79,'America/Boise','_07:00','_06:00'),
	(80,'America/Cambridge_Bay','_07:00','_06:00'),
	(81,'America/Campo_Grande','_04:00','_03:00'),
	(82,'America/Cancun','_06:00','_05:00'),
	(83,'America/Caracas','_04:30','_04:30'),
	(84,'America/Cayenne','_03:00','_03:00'),
	(85,'America/Cayman','_05:00','_05:00'),
	(86,'America/Chicago','_06:00','_05:00'),
	(87,'America/Chihuahua','_07:00','_06:00'),
	(88,'America/Costa_Rica','_06:00','_06:00'),
	(89,'America/Creston','_07:00','_07:00'),
	(90,'America/Cuiaba','_04:00','_03:00'),
	(91,'America/Curacao','_04:00','_04:00'),
	(92,'America/Danmarkshavn','+00:00','+00:00'),
	(93,'America/Dawson','_08:00','_07:00'),
	(94,'America/Dawson_Creek','_07:00','_07:00'),
	(95,'America/Denver','_07:00','_06:00'),
	(96,'America/Detroit','_05:00','_04:00'),
	(97,'America/Dominica','_04:00','_04:00'),
	(98,'America/Edmonton','_07:00','_06:00'),
	(99,'America/Eirunepe','_05:00','_05:00'),
	(100,'America/El_Salvador','_06:00','_06:00'),
	(101,'America/Fortaleza','_03:00','_03:00'),
	(102,'America/Glace_Bay','_04:00','_03:00'),
	(103,'America/Godthab','_03:00','_02:00'),
	(104,'America/Goose_Bay','_04:00','_03:00'),
	(105,'America/Grand_Turk','_05:00','_04:00'),
	(106,'America/Grenada','_04:00','_04:00'),
	(107,'America/Guadeloupe','_04:00','_04:00'),
	(108,'America/Guatemala','_06:00','_06:00'),
	(109,'America/Guayaquil','_05:00','_05:00'),
	(110,'America/Guyana','_04:00','_04:00'),
	(111,'America/Halifax','_04:00','_03:00'),
	(112,'America/Havana','_05:00','_04:00'),
	(113,'America/Hermosillo','_07:00','_07:00'),
	(114,'America/Indiana/Indianapolis','_05:00','_04:00'),
	(115,'America/Indiana/Knox','_06:00','_05:00'),
	(116,'America/Indiana/Marengo','_05:00','_04:00'),
	(117,'America/Indiana/Petersburg','_05:00','_04:00'),
	(118,'America/Indiana/Tell_City','_06:00','_05:00'),
	(119,'America/Indiana/Valparaiso','_06:00','_05:00'),
	(120,'America/Indiana/Vevay','_05:00','_04:00'),
	(121,'America/Indiana/Vincennes','_05:00','_04:00'),
	(122,'America/Indiana/Winamac','_05:00','_04:00'),
	(123,'America/Inuvik','_07:00','_06:00'),
	(124,'America/Iqaluit','_05:00','_04:00'),
	(125,'America/Jamaica','_05:00','_05:00'),
	(126,'America/Juneau','_09:00','_08:00'),
	(127,'America/Kentucky/Louisville','_05:00','_04:00'),
	(128,'America/Kentucky/Monticello','_05:00','_04:00'),
	(129,'America/Kralendijk','_04:00','_04:00'),
	(130,'America/La_Paz','_04:00','_04:00'),
	(131,'America/Lima','_05:00','_05:00'),
	(132,'America/Los_Angeles','_08:00','_07:00'),
	(133,'America/Lower_Princes','_04:00','_04:00'),
	(134,'America/Maceio','_03:00','_03:00'),
	(135,'America/Managua','_06:00','_06:00'),
	(136,'America/Manaus','_04:00','_04:00'),
	(137,'America/Marigot','_04:00','_04:00'),
	(138,'America/Martinique','_04:00','_04:00'),
	(139,'America/Matamoros','_06:00','_05:00'),
	(140,'America/Mazatlan','_07:00','_06:00'),
	(141,'America/Menominee','_06:00','_05:00'),
	(142,'America/Merida','_06:00','_05:00'),
	(143,'America/Metlakatla','_08:00','_08:00'),
	(144,'America/Mexico_City','_06:00','_05:00'),
	(145,'America/Miquelon','_03:00','_02:00'),
	(146,'America/Moncton','_04:00','_03:00'),
	(147,'America/Monterrey','_06:00','_05:00'),
	(148,'America/Montevideo','_03:00','_02:00'),
	(149,'America/Montreal','_05:00','_04:00'),
	(150,'America/Montserrat','_04:00','_04:00'),
	(151,'America/Nassau','_05:00','_04:00'),
	(152,'America/New_York','_05:00','_04:00'),
	(153,'America/Nipigon','_05:00','_04:00'),
	(154,'America/Nome','_09:00','_08:00'),
	(155,'America/Noronha','_02:00','_02:00'),
	(156,'America/North_Dakota/Beulah','_06:00','_05:00'),
	(157,'America/North_Dakota/Center','_06:00','_05:00'),
	(158,'America/North_Dakota/New_Salem','_06:00','_05:00'),
	(159,'America/Ojinaga','_07:00','_06:00'),
	(160,'America/Panama','_05:00','_05:00'),
	(161,'America/Pangnirtung','_05:00','_04:00'),
	(162,'America/Paramaribo','_03:00','_03:00'),
	(163,'America/Phoenix','_07:00','_07:00'),
	(164,'America/Port_of_Spain','_04:00','_04:00'),
	(165,'America/Port-au-Prince','_05:00','_04:00'),
	(166,'America/Porto_Velho','_04:00','_04:00'),
	(167,'America/Puerto_Rico','_04:00','_04:00'),
	(168,'America/Rainy_River','_06:00','_05:00'),
	(169,'America/Rankin_Inlet','_06:00','_05:00'),
	(170,'America/Recife','_03:00','_03:00'),
	(171,'America/Regina','_06:00','_06:00'),
	(172,'America/Resolute','_06:00','_05:00'),
	(173,'America/Rio_Branco','_05:00',''),
	(174,'America/Santa_Isabel','_08:00','_07:00'),
	(175,'America/Santarem','_03:00','_03:00'),
	(176,'America/Santiago','_03:00','_03:00'),
	(177,'America/Santo_Domingo','_04:00','_04:00'),
	(178,'America/Sao_Paulo','_03:00','_02:00'),
	(179,'America/Scoresbysund','_01:00','+00:00'),
	(180,'America/Shiprock','_07:00','_06:00'),
	(181,'America/Sitka','_09:00','_08:00'),
	(182,'America/St_Barthelemy','_04:00','_04:00'),
	(183,'America/St_Johns','_03:30','_02:30'),
	(184,'America/St_Kitts','_04:00','_04:00'),
	(185,'America/St_Lucia','_04:00','_04:00'),
	(186,'America/St_Thomas','_04:00','_04:00'),
	(187,'America/St_Vincent','_04:00','_04:00'),
	(188,'America/Swift_Current','_06:00','_06:00'),
	(189,'America/Tegucigalpa','_06:00','_06:00'),
	(190,'America/Thule','_04:00','_03:00'),
	(191,'America/Thunder_Bay','_05:00','_04:00'),
	(192,'America/Tijuana','_08:00','_07:00'),
	(193,'America/Toronto','_05:00','_04:00'),
	(194,'America/Tortola','_04:00','_04:00'),
	(195,'America/Vancouver','_08:00','_07:00'),
	(196,'America/Whitehorse','_08:00','_07:00'),
	(197,'America/Winnipeg','_06:00','_05:00'),
	(198,'America/Yakutat','_09:00','_08:00'),
	(199,'America/Yellowknife','_07:00','_06:00'),
	(200,'Antarctica/Casey','+11:00','+08:00'),
	(201,'Antarctica/Davis','+05:00','+07:00'),
	(202,'Antarctica/DumontDUrville','+10:00','+10:00'),
	(203,'Antarctica/Macquarie','+11:00','+11:00'),
	(204,'Antarctica/Mawson','+05:00','+05:00'),
	(205,'Antarctica/McMurdo','+12:00','+13:00'),
	(206,'Antarctica/Palmer','_04:00','_03:00'),
	(207,'Antarctica/Rothera','_03:00','_03:00'),
	(208,'Antarctica/South_Pole','+12:00','+13:00'),
	(209,'Antarctica/Syowa','+03:00','+03:00'),
	(210,'Antarctica/Troll','+00:00','+02:00'),
	(211,'Antarctica/Vostok','+06:00','+06:00'),
	(212,'Arctic/Longyearbyen','+01:00','+02:00'),
	(213,'Asia/Aden','+03:00','+03:00'),
	(214,'Asia/Almaty','+06:00','+06:00'),
	(215,'Asia/Amman','+02:00','+03:00'),
	(216,'Asia/Anadyr','+12:00','+12:00'),
	(217,'Asia/Aqtau','+05:00','+05:00'),
	(218,'Asia/Aqtobe','+05:00','+05:00'),
	(219,'Asia/Ashgabat','+05:00','+05:00'),
	(220,'Asia/Baghdad','+03:00','+03:00'),
	(221,'Asia/Bahrain','+03:00','+03:00'),
	(222,'Asia/Baku','+04:00','+05:00'),
	(223,'Asia/Bangkok','+07:00','+07:00'),
	(224,'Asia/Beirut','+02:00','+03:00'),
	(225,'Asia/Bishkek','+06:00','+06:00'),
	(226,'Asia/Brunei','+08:00','+08:00'),
	(227,'Asia/Choibalsan','+08:00','+08:00'),
	(228,'Asia/Chongqing','+08:00','+08:00'),
	(229,'Asia/Colombo','+05:30','+05:30'),
	(230,'Asia/Damascus','+02:00','+03:00'),
	(231,'Asia/Dhaka','+06:00','+06:00'),
	(232,'Asia/Dili','+09:00','+09:00'),
	(233,'Asia/Dubai','+04:00','+04:00'),
	(234,'Asia/Dushanbe','+05:00','+05:00'),
	(235,'Asia/Gaza','+02:00','+03:00'),
	(236,'Asia/Harbin','+08:00','+08:00'),
	(237,'Asia/Hebron','+02:00','+03:00'),
	(238,'Asia/Ho_Chi_Minh','+07:00','+07:00'),
	(239,'Asia/Hong_Kong','+08:00','+08:00'),
	(240,'Asia/Hovd','+07:00','+08:00'),
	(241,'Asia/Irkutsk','+08:00','+08:00'),
	(242,'Asia/Jakarta','+07:00','+07:00'),
	(243,'Asia/Jayapura','+09:00','+09:00'),
	(244,'Asia/Jerusalem','+02:00','+03:00'),
	(245,'Asia/Kabul','+04:30','+04:30'),
	(246,'Asia/Kamchatka','+12:00','+12:00'),
	(247,'Asia/Karachi','+05:00','+05:00'),
	(248,'Asia/Kashgar','+08:00','+08:00'),
	(249,'Asia/Kathmandu','+05:45','+05:45'),
	(250,'Asia/Khandyga','+09:00','+09:00'),
	(251,'Asia/Kolkata','+05:30','+05:30'),
	(252,'Asia/Krasnoyarsk','+07:00','+07:00'),
	(253,'Asia/Kuala_Lumpur','+08:00','+08:00'),
	(254,'Asia/Kuching','+08:00','+08:00'),
	(255,'Asia/Kuwait','+03:00','+03:00'),
	(256,'Asia/Macau','+08:00','+08:00'),
	(257,'Asia/Magadan','+10:00','+10:00'),
	(258,'Asia/Makassar','+08:00','+08:00'),
	(259,'Asia/Manila','+08:00','+08:00'),
	(260,'Asia/Muscat','+04:00','+04:00'),
	(261,'Asia/Nicosia','+02:00','+03:00'),
	(262,'Asia/Novokuznetsk','+07:00','+07:00'),
	(263,'Asia/Novosibirsk','+06:00','+06:00'),
	(264,'Asia/Omsk','+06:00','+06:00'),
	(265,'Asia/Oral','+05:00','+05:00'),
	(266,'Asia/Phnom_Penh','+07:00','+07:00'),
	(267,'Asia/Pontianak','+07:00','+07:00'),
	(268,'Asia/Pyongyang','+09:00','+09:00'),
	(269,'Asia/Qatar','+03:00','+03:00'),
	(270,'Asia/Qyzylorda','+06:00','+06:00'),
	(271,'Asia/Rangoon','+06:30','+06:30'),
	(272,'Asia/Riyadh','+03:00','+03:00'),
	(273,'Asia/Sakhalin','+11:00','+11:00'),
	(274,'Asia/Samarkand','+05:00','+05:00'),
	(275,'Asia/Seoul','+09:00','+09:00'),
	(276,'Asia/Shanghai','+08:00','+08:00'),
	(277,'Asia/Singapore','+08:00','+08:00'),
	(278,'Asia/Taipei','+08:00','+08:00'),
	(279,'Asia/Tashkent','+05:00','+05:00'),
	(280,'Asia/Tbilisi','+04:00','+04:00'),
	(281,'Asia/Tehran','+03:30','+04:30'),
	(282,'Asia/Thimphu','+06:00','+06:00'),
	(283,'Asia/Tokyo','+09:00','+09:00'),
	(284,'Asia/Ulaanbaatar','+08:00','+09:00'),
	(285,'Asia/Urumqi','+08:00','+08:00'),
	(286,'Asia/Ust-Nera','+10:00','+10:00'),
	(287,'Asia/Vientiane','+07:00','+07:00'),
	(288,'Asia/Vladivostok','+10:00','+10:00'),
	(289,'Asia/Yakutsk','+09:00','+09:00'),
	(290,'Asia/Yekaterinburg','+05:00','+05:00'),
	(291,'Asia/Yerevan','+04:00','+04:00'),
	(292,'Atlantic/Azores','_01:00','+00:00'),
	(293,'Atlantic/Bermuda','_04:00','_03:00'),
	(294,'Atlantic/Canary','+00:00','+01:00'),
	(295,'Atlantic/Cape_Verde','_01:00','_01:00'),
	(296,'Atlantic/Faroe','+00:00','+01:00'),
	(297,'Atlantic/Madeira','+00:00','+01:00'),
	(298,'Atlantic/Reykjavik','+00:00','+00:00'),
	(299,'Atlantic/South_Georgia','_02:00','_02:00'),
	(300,'Atlantic/St_Helena','+00:00','+00:00'),
	(301,'Atlantic/Stanley','_03:00','_03:00'),
	(302,'Australia/Adelaide','+09:30','+10:30'),
	(303,'Australia/Brisbane','+10:00','+10:00'),
	(304,'Australia/Broken_Hill','+09:30','+10:30'),
	(305,'Australia/Currie','+10:00','+11:00'),
	(306,'Australia/Darwin','+09:30','+09:30'),
	(307,'Australia/Eucla','+08:45','+08:45'),
	(308,'Australia/Hobart','+10:00','+11:00'),
	(309,'Australia/Lindeman','+10:00','+10:00'),
	(310,'Australia/Lord_Howe','+10:30','+11:00'),
	(311,'Australia/Melbourne','+10:00','+11:00'),
	(312,'Australia/Perth','+08:00','+08:00'),
	(313,'Australia/Sydney','+10:00','+11:00'),
	(314,'Europe/Amsterdam','+01:00','+02:00'),
	(315,'Europe/Andorra','+01:00','+02:00'),
	(316,'Europe/Athens','+02:00','+03:00'),
	(317,'Europe/Belgrade','+01:00','+02:00'),
	(318,'Europe/Berlin','+01:00','+02:00'),
	(319,'Europe/Bratislava','+01:00','+02:00'),
	(320,'Europe/Brussels','+01:00','+02:00'),
	(321,'Europe/Bucharest','+02:00','+03:00'),
	(322,'Europe/Budapest','+01:00','+02:00'),
	(323,'Europe/Busingen','+01:00','+02:00'),
	(324,'Europe/Chisinau','+02:00','+03:00'),
	(325,'Europe/Copenhagen','+01:00','+02:00'),
	(326,'Europe/Dublin','+00:00','+01:00'),
	(327,'Europe/Gibraltar','+01:00','+02:00'),
	(328,'Europe/Guernsey','+00:00','+01:00'),
	(329,'Europe/Helsinki','+02:00','+03:00'),
	(330,'Europe/Isle_of_Man','+00:00','+01:00'),
	(331,'Europe/Istanbul','+02:00','+03:00'),
	(332,'Europe/Jersey','+00:00','+01:00'),
	(333,'Europe/Kaliningrad','+02:00','+02:00'),
	(334,'Europe/Kiev','+02:00','+03:00'),
	(335,'Europe/Lisbon','+00:00','+01:00'),
	(336,'Europe/Ljubljana','+01:00','+02:00'),
	(337,'Europe/London','+00:00','+01:00'),
	(338,'Europe/Luxembourg','+01:00','+02:00'),
	(339,'Europe/Madrid','+01:00','+02:00'),
	(340,'Europe/Malta','+01:00','+02:00'),
	(341,'Europe/Mariehamn','+02:00','+03:00'),
	(342,'Europe/Minsk','+03:00','+03:00'),
	(343,'Europe/Monaco','+01:00','+02:00'),
	(344,'Europe/Moscow','+03:00','+03:00'),
	(345,'Europe/Oslo','+01:00','+02:00'),
	(346,'Europe/Paris','+01:00','+02:00'),
	(347,'Europe/Podgorica','+01:00','+02:00'),
	(348,'Europe/Prague','+01:00','+02:00'),
	(349,'Europe/Riga','+02:00','+03:00'),
	(350,'Europe/Rome','+01:00','+02:00'),
	(351,'Europe/Samara','+04:00','+04:00'),
	(352,'Europe/San_Marino','+01:00','+02:00'),
	(353,'Europe/Sarajevo','+01:00','+02:00'),
	(354,'Europe/Simferopol','+03:00','+03:00'),
	(355,'Europe/Skopje','+01:00','+02:00'),
	(356,'Europe/Sofia','+02:00','+03:00'),
	(357,'Europe/Stockholm','+01:00','+02:00'),
	(358,'Europe/Tallinn','+02:00','+03:00'),
	(359,'Europe/Tirane','+01:00','+02:00'),
	(360,'Europe/Uzhgorod','+02:00','+03:00'),
	(361,'Europe/Vaduz','+01:00','+02:00'),
	(362,'Europe/Vatican','+01:00','+02:00'),
	(363,'Europe/Vienna','+01:00','+02:00'),
	(364,'Europe/Vilnius','+02:00','+03:00'),
	(365,'Europe/Volgograd','+03:00','+03:00'),
	(366,'Europe/Warsaw','+01:00','+02:00'),
	(367,'Europe/Zagreb','+01:00','+02:00'),
	(368,'Europe/Zaporozhye','+02:00','+03:00'),
	(369,'Europe/Zurich','+01:00','+02:00'),
	(370,'Indian/Antananarivo','+03:00','+03:00'),
	(371,'Indian/Chagos','+06:00','+06:00'),
	(372,'Indian/Christmas','+07:00','+07:00'),
	(373,'Indian/Cocos','+06:30','+06:30'),
	(374,'Indian/Comoro','+03:00','+03:00'),
	(375,'Indian/Kerguelen','+05:00','+05:00'),
	(376,'Indian/Mahe','+04:00','+04:00'),
	(377,'Indian/Maldives','+05:00','+05:00'),
	(378,'Indian/Mauritius','+04:00','+04:00'),
	(379,'Indian/Mayotte','+03:00','+03:00'),
	(380,'Indian/Reunion','+04:00','+04:00'),
	(381,'Pacific/Apia','+13:00','+14:00'),
	(382,'Pacific/Auckland','+12:00','+13:00'),
	(383,'Pacific/Chatham','+12:45','+13:45'),
	(384,'Pacific/Chuuk','+10:00','+10:00'),
	(385,'Pacific/Easter','_06:00','_05:00'),
	(386,'Pacific/Efate','+11:00','+11:00'),
	(387,'Pacific/Enderbury','+13:00','+13:00'),
	(388,'Pacific/Fakaofo','+13:00','+13:00'),
	(389,'Pacific/Fiji','+12:00','+13:00'),
	(390,'Pacific/Funafuti','+12:00','+12:00'),
	(391,'Pacific/Galapagos','_06:00','_06:00'),
	(392,'Pacific/Gambier','_09:00','_09:00'),
	(393,'Pacific/Guadalcanal','+11:00','+11:00'),
	(394,'Pacific/Guam','+10:00','+10:00'),
	(395,'Pacific/Honolulu','_10:00','_10:00'),
	(396,'Pacific/Johnston','_10:00','_10:00'),
	(397,'Pacific/Kiritimati','+14:00','+14:00'),
	(398,'Pacific/Kosrae','+11:00','+11:00'),
	(399,'Pacific/Kwajalein','+12:00','+12:00'),
	(400,'Pacific/Majuro','+12:00','+12:00'),
	(401,'Pacific/Marquesas','_09:30','_09:30'),
	(402,'Pacific/Midway','_11:00','_11:00'),
	(403,'Pacific/Nauru','+12:00','+12:00'),
	(404,'Pacific/Niue','_11:00','_11:00'),
	(405,'Pacific/Norfolk','+11:30','+11:30'),
	(406,'Pacific/Noumea','+11:00','+11:00'),
	(407,'Pacific/Pago_Pago','_11:00','_11:00'),
	(408,'Pacific/Palau','+09:00','+09:00'),
	(409,'Pacific/Pitcairn','_08:00','_08:00'),
	(410,'Pacific/Pohnpei','+11:00','+11:00'),
	(411,'Pacific/Port_Moresby','+10:00','+10:00'),
	(412,'Pacific/Rarotonga','_10:00','_10:00'),
	(413,'Pacific/Saipan','+10:00','+10:00'),
	(414,'Pacific/Tahiti','_10:00','_10:00'),
	(415,'Pacific/Tarawa','+12:00','+12:00'),
	(416,'Pacific/Tongatapu','+13:00','+13:00'),
	(417,'Pacific/Wake','+12:00','+12:00'),
	(418,'Pacific/Wallis','+12:00','+12:00');
