/*
 * Trunk Priority Types - Specifies which trunk type to try first for
 *			  outbound calls.
 *
 *  trunk_priority_enum.supported is TRUE if row is supported for product.
 *
 *
 */
DROP TABLE IF EXISTS trunk_priority_enum;
CREATE TABLE trunk_priority_enum (
        id              int(2) unsigned NOT NULL AUTO_INCREMENT,
        supported       boolean NOT NULL,
        name            varchar(16) NOT NULL,
        help            varchar(50) NOT NULL,
PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*
 * NOTE: INSERT should be done in product.sql during build to include
 *  the appropriate enums for the product.
 */
INSERT INTO trunk_priority_enum (supported, name, help)
VALUES  (TRUE, 'SIP Trunk', 'Use available SIP Trunk first.'),
        (TRUE, 'Analog Port', 'Use available Analog FXO Port first.');
SELECT * FROM trunk_priority_enum;
