DROP TABLE IF EXISTS weather_alert_filter;
CREATE TABLE weather_alert_filter (
	id			int unsigned NOT NULL AUTO_INCREMENT,
	event			varchar(255) NOT NULL,
	enabled			boolean NOT NULL DEFAULT 1,
	action_type		enum ('display-msg','email','no-action','routine') NOT NULL DEFAULT 'display-msg',
	severity_extreme	boolean NOT NULL DEFAULT 1,
	severity_severe		boolean NOT NULL DEFAULT 1,
	severity_moderate	boolean NOT NULL DEFAULT 1,
	severity_minor		boolean NOT NULL DEFAULT 1,
	severity_unknown	boolean NOT NULL DEFAULT 1,
	severity_notset		boolean NOT NULL DEFAULT 1,
	certainty_observed	boolean NOT NULL DEFAULT 1,
	certainty_likely	boolean NOT NULL DEFAULT 1,
	certainty_possible	boolean NOT NULL DEFAULT 1,
	certainty_unlikely	boolean NOT NULL DEFAULT 0,
	certainty_unknown	boolean NOT NULL DEFAULT 1,
	certainty_notset	boolean NOT NULL DEFAULT 1,
	urgency_immediate	boolean NOT NULL DEFAULT 1,
	urgency_expected	boolean NOT NULL DEFAULT 1,
	urgency_future		boolean NOT NULL DEFAULT 1,
	urgency_past		boolean NOT NULL DEFAULT 0,
	urgency_notset		boolean NOT NULL DEFAULT 0,
	urgency_unknown		boolean NOT NULL DEFAULT 1,
	response_shelter	boolean NOT NULL DEFAULT 1,
	response_evacuate	boolean NOT NULL DEFAULT 1,
	response_prepare	boolean NOT NULL DEFAULT 1,
	response_execute	boolean NOT NULL DEFAULT 1,
	response_avoid		boolean NOT NULL DEFAULT 1,
	response_monitor	boolean NOT NULL DEFAULT 1,
	response_assess		boolean NOT NULL DEFAULT 1,
	response_allclear	boolean NOT NULL DEFAULT 0,
	response_none		boolean NOT NULL DEFAULT 1,
	response_notset		boolean NOT NULL DEFAULT 1,
PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

