/*
 *
 * Web Admin Queue - This table contains the queue for calls to Web Admin
 *
 * webadmin_queue
 *	.admin_ext	Admin's extension
 *	.extension	Caller's extension
 *	.channel	Caller's Channel
 *	.priority	Caller's priority (1 = Emergency,2 = Urgent,3 = Normal)
 *	.ctime		Time (in seconds) that caller initiated call
 *	.answernow	0 = queue call, 1 = answer now, 2 = busy
 *
 * NOTE: Using enum fields because this table is transient, it does not
 *       store real data.
 */
DROP TABLE IF EXISTS webadmin_queue;
CREATE TABLE webadmin_queue (
	id		int unsigned NOT NULL AUTO_INCREMENT,
	admin_ext	varchar(40) NOT NULL,
	extension	varchar(40) NOT NULL,
	channel		varchar(40),
	priority	tinyint NOT NULL DEFAULT '3',
	ctime		int unsigned NOT NULL,
	answernow	int NOT NULL DEFAULT '0',
PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
