/*
 * zones_status - tracks status of zones.
 *
 * .zone_number - zone number that is busy
 * .caller      - channel information for caller using zone
 * .type	- type of call using the zone
 * .type_id	- id or row associated with type (e.g. announcement.id)
 * .priority    - priority of call type
 *
 *  !!!!!!!!!!!!!!!
 *  !!! WARNING !!! - If you update this table, update the system-backup script.
 *  !!!!!!!!!!!!!!!
 *
 */
DROP TABLE IF EXISTS zone_status;
CREATE TABLE zone_status (
	zone_number	int(5) NOT NULL,
	caller		varchar(40) NOT NULL,
	type		enum ('alarm','announce-emer','announce-man','announce-sched','page','qpage','tone') NOT NULL DEFAULT 'page',
	type_id		int NOT NULL DEFAULT '0',
	priority	int(3) NOT NULL DEFAULT '40',
	pid		int NOT NULL DEFAULT '0',
 PRIMARY KEY (zone_number)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
