/*
 *
 * Nyquist Automatic Failover Configuration Help
 *
 */
DROP TABLE IF EXISTS automatic_failover_config_help;
CREATE TABLE automatic_failover_config_help (
	id			int unsigned NOT NULL AUTO_INCREMENT,
	authentication_passwd	varchar(165) NOT NULL,
	mode			varchar(200) NOT NULL,
	shared_ip_addr		varchar(255) NOT NULL,
	master_ip		varchar(200) NOT NULL,
	standby_ip		varchar(200) NOT NULL,
	master_hostname		varchar(64) NOT NULL,
	standby_hostname	varchar(64) NOT NULL,
PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO automatic_failover_config_help (authentication_passwd, mode,
	shared_ip_addr, master_ip, standby_ip, master_hostname, standby_hostname)
VALUES ('Password used for authentication between primary and secondary servers while exchanging data and automatic failover status. Enter a unique password for your facility.',
	'Current operating mode of the Automatic Failover feature: setup indicates that the feature has not been completely setup yet, enabled means that the feature has been setup and is enabled.',
	'Master server IP address on Port-A that is used to provide Nyquist services. Nyquist devices will see this as the SIP server and TFTP server. This IP address is assigned to the node that is currently operating in master mode.',
	'Primary server IP address on Port-A that is always available for Automatic Failover operations and communication with Secondary server. This address is not known or used by Nyquist devices.',
	'Secondary server IP address on Port-A that is always available for Automatic Failover operations and communication with Primary server. This address is not known or used by Nyquist devices.',
	'Primary server hostname (e.g. nq-sysctrl-0030180d541a).',
	'Secondary server hostname (e.g. nq-sysctrl-0030180d567c).');
