/*
 * CoS Templates
 *
 * Each row contains a CoS template that can be applied to stations.
 *
 * cos.enabled is TRUE if the CoS Template is enabled. It allows
 *  the customer to enable/disable CoS Templates without having to
 *  delete them.
 *
 * cos.callin_level is set from callin_level_enum.id
 *
 * NOTE: A CoS Template can not be deleted if any stations exist
 *  with a reference to it via station.day_cos or station.night_cos
 *
 */
TRUNCATE TABLE cos;
INSERT INTO cos (enabled, name, callin_level, has_zone_paging, has_all_call_page, has_emergency_all_call, has_interfacility_callpage, has_program_distribution, has_remote_pickup, has_bump_call, has_call_forwarding, has_walking_cos, has_external_call_routing, has_call_transfer, has_manual_activate_tone, has_call_anystation, has_manage_recordings, has_call_monitoring, has_loc_monitoring, has_conf_admin, has_conf_user, has_voicemail, has_call_recording, has_activate_alarms, has_disable_audio, has_enable_audio, has_callee_autoanswer, has_multiserver_paging, has_interfacility_features, has_manage_output_contacts, has_execute_routines)
VALUES	(TRUE, 'Admin', 1, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE),
	(TRUE, 'Station', 1, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE);
INSERT INTO cos (enabled, name) VALUES (TRUE, 'No Privs');
SELECT * FROM cos;
