/*
 * Just update the ctrl_rule_help table
 */
DROP TABLE IF EXISTS ctrl_rule_help;
CREATE TABLE ctrl_rule_help (
        id              int unsigned NOT NULL AUTO_INCREMENT,
        enabled         varchar(128),
        extension       varchar(128),
        contact_num     varchar(128),
        contact_type    varchar(128),
        name            varchar(128),
        description     varchar(128),
        close_interval  varchar(128),
        action_in       varchar(128),
        action_in_id    varchar(128),
        stop_on         varchar(256),
        action_out      varchar(128),
        action_out_id   varchar(128),
        zones           varchar(255),
        close_ext       varchar(128),
        close_contact   varchar(128),
        duration        varchar(128),
        on_time         varchar(128),
        days            varchar(128),
        control_stations varchar(128),
        close_btn_label varchar(150),
        open_btn_label  varchar(150),
        dashboard_type  varchar(256),
        dashboard_title varchar(128),
        dashboard_scope varchar(128),
        dashboard_text  varchar(128),
        dashboard_style varchar(128),
        email           varchar(128),
        email_account   varchar(128),
        sync_time       varchar(128),
PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO ctrl_rule_help (enabled, extension, contact_num, contact_type, name, description, close_interval, action_in, action_in_id, stop_on, action_out, action_out_id, zones, close_ext, close_contact, duration, on_time, days, control_stations, close_btn_label, open_btn_label, dashboard_type, dashboard_title, dashboard_scope,dashboard_text, dashboard_style,email,email_account,sync_time)
VALUES	('Enable / Disable contact closure input / output rule.',
	'IO Controller extension number.',
	'IO Controller contact number.',
	'input = contact has closed on IO Controller, output = close contact on IO Controller when matching system activity occurs.',
	'User supplied name for IO contact. (32 character max.)',
	'User supplied description for IO contact (128 character max.)',
	'How long the input contact must remain closed (milliseconds) before the input action is triggered by the IO Controller.',
	'Action to take when contact is closed',
	'Action Identifier (examples: Alarm number, Tone number)',
	'Sets how the action is stopped. Manual-Control means user must manually stop the action, Contact-Open means the action will automatically stop when contact is opened.',
	'The system event that will trigger the specified contact to close on the specified I/O Controller.',
	'Activity identifier for output contact trigger (example: Alarm number).',
	'Input Rule: Single Zone selection. Output Rule: List of Paging zones (leave blank to match all zones); any listed paging zone will trigger output action.',
	'IO controller extension of output contact to close.',
	'Output contact number to close on IO controller.',
	'Duration of contact closure in milliseconds. A value of 0 means leave contact closed.',
	'Time to close the contact when Action = Hourly, specifed by Minute:Second. A value of 00:00 means hourly closure is not enabled.',
	'Days of the week that the contact should be closed hourly.',
	'List of stations permitted to manually control the output contact.',
	'User supplied label to display on Dashboard button associated with closing output contact when duration = 0. Examples: Close, On, Open-Door',
	'User supplied label to display on Dashboard button associated with opening output contact when duration = 0. Examples: Open, Off',
	'Dashboard Message Type: &quot;text&quot; posts the message to the Dashboard Messages panel, &quot;popup&quot; does same as &quot;text&quot; plus generates popup.',
	'Dashboard message title (NOTE: Do not include the following text in the title: Alarm, Announce, or Tone).',
	'Recipients that will receive dashboard message. All= All Web Interface dashboards, Admin= Only Admin Web Interface dashboards.',
	'Text to display for dashboard message.',
	'Selects icon and color-coding used for dashboard message.',
	'Send email notification to address list when IO input contact in closed.',
	'SMTP account to use for sending email.',
	'Time to use for synchronizing Nyquist clock with external source. Format, 24-hour military time: HH:MM:SS');
SELECT * from ctrl_rule_help;
