/*
 * Device Types
 *
 *  device_types_enum.supported is TRUE if row is supported for product.
 *
 *  NOTE: The first row in this table (id=1) must be for "n/a".
 *
 *  NOTE: If you change this table, change scripts: update-paging-exclusion,toggle-audio-dist,update-stations-zone-volume
 *
 *  NOTE: When device is an analog phone port (e.g. Cisco SPA112, TA2400 port),
 *        has_multicast might be set to TRUE just to make sure that the
 *        device is not called during a multicast operation.
 *
 */
TRUNCATE TABLE device_types_enum;
INSERT INTO device_types_enum (id, supported, name, has_multicast, help)
VALUES	(1,  TRUE, 'n/a',		FALSE,	'Not Applicable'),
	(2,  FALSE, 'DigiumD40',	FALSE,	'Digium D40 IP Phone'),
	(3,  FALSE, 'DigiumD70',	FALSE,	'Digium D70 IP Phone'),
	(4,  FALSE, 'snom300',		TRUE,	'Snom 300 IP Phone'),
	(5,  FALSE, 'Yealink-T48G',	TRUE,	'Yealink T48G'),
	(6,  TRUE, 'NQ-T1100 IP Phone - Color Touch Display', TRUE, 'Nyquist IP Phone - Color Touch Display'),
	(7,  FALSE, 'Yealink-T20',	TRUE, 	'Yealink T20/T20P'),
	(8,  TRUE, 'NQ-T1000 IP Phone - Basic LCD Display', TRUE, 'Nyquist IP Phone - Basic LCD Display'),
	(9,  FALSE, 'Analog-Port',	TRUE,	'Nyquist Analog-Station-Bridge Port'),
	(10, TRUE, 'NQ-S1810-VoIP Speaker',	TRUE,	'Nyquist VoIP Speaker Only'),
	(11, TRUE, 'NQ-S1810-E7020 VoIP Speaker CallSwitch',TRUE,	'Nyquist Call Switch with VoIP Speaker'),
	(12, FALSE, 'NQ-Paging Amp',	TRUE,	'Nyquist Paging Amplifier'),
	(13, TRUE, 'NQ-P0100-Matrix Mixer Pre Amp',	TRUE,	'Nyquist Matrix Mixer Pre-Amplifier'),
	(14, FALSE, 'NQ-E7030-Analog Station Bridge',	TRUE,	'Nyquist Analog Station Bridge'),
	(15, TRUE, 'NQ-E7010-Input Output Controller',	FALSE,	'Nyquist Input/Output Controller'),
	(16, TRUE, 'NQ-A2060-Amplifier', TRUE, 'Nyquist 2x60W or 1x120W Amplifier'),
	(17, TRUE, 'NQ-A2120-Amplifier', TRUE, 'Nyquist 2x120W or 1x240W Amplifier'),
	(18, TRUE, 'NQ-A2300-Amplifier', TRUE, 'Nyquist 2x300W or 1x600W Amplifier'),
	(19, TRUE, 'NQ-A4060-Amplifier', TRUE, 'Nyquist 4x60W or 2x60W and 1x120W or 2x120W Amplifier'),
	(20, TRUE, 'NQ-A4120-Amplifier', TRUE, 'Nyquist 4x120W or 2x120W and 1x240W or 2x240W Amplifier'),
	(21, TRUE, 'NQ-A4300-Amplifier', TRUE, 'Nyquist 4x300W or 2x300W and 1x600W or 2x600W Amplifier'),
	(22, TRUE, 'NQ-GA10P-Intercom Module', TRUE, 'Nyquist VoIP intercom module with call switch and output contact'),
	(23, TRUE, 'NQ-GA10PV-Intercom HDMI Module', TRUE, 'Nyquist VoIP intercom module with call switch, output contact and HDMI'),
	(24, TRUE, 'NQ-GA20P2-Amplifier with Line Output', TRUE, 'Nyquist VoIP Amplifier with 20W output and balanced line level output'),
	(25, TRUE, 'NQ-S1810CT-G2 VoIP Ceiling Speaker Gen2', TRUE, 'Nyquist VoIP Ceiling Speaker - Generation 2'),
	(26, TRUE, 'NQ-S1810WT-G2 VoIP Wall Baffle Speaker Gen2', TRUE, 'Nyquist VoIP Wall Baffle Speaker - Generation 2'),
	(27, TRUE, 'NQ-PA120 Public Address Mixer Amplifier', TRUE, 'Nyquist Public Address 120-Watt Mixer Amplifier'),
	(28, TRUE, 'NQ-PA240 Public Address Mixer Amplifier', TRUE, 'Nyquist Public Address 240-Watt Mixer Amplifier'),
	(29, TRUE, 'NQ-PA600 Public Address Mixer Amplifier', TRUE, 'Nyquist Public Address 600-Watt Mixer Amplifier'),
	(30, FALSE, 'DigiumD60',	TRUE,	'Digium D60 IP Phone'),
	(31, FALSE, 'DigiumD65',	TRUE,	'Digium D65 IP Phone'),
	(32, FALSE, 'NQ-T2100 IP Phone - Color Touch Display', TRUE, 'Nyquist IP Phone - Color Touch Display'),
	(33, TRUE, 'NQ-T2000 IP Phone - Basic LCD Display', TRUE, 'Nyquist IP Phone - Basic LCD Display'),
	(40, TRUE, 'DAHDI FXS',		FALSE,	'DAHDI FXS Port'),
	(45, TRUE, 'Cisco SPA112',	TRUE,	'Cisco SPA112 Analog Telephone Adapter Port'),
	(46, TRUE, 'Cisco ATA191-3PW-K9',TRUE,	'Cisco ATA191-3PW-K9 Analog Telephone Adapter Port'),
	(47, TRUE, 'Grandstream HT813 Analog Phone FXS Port',TRUE, 'Grandstream HT813 Analog Telephone FXS Port'),
	(50, TRUE, 'Yeastar-TA2400 Analog FXS Port', TRUE, 'Yeastar TA2400 FXS Analog VoIP Gateway Port'),
	(60, TRUE, 'NQ-A2060-G2-Amplifier', TRUE, 'Nyquist 2x60W or 1x120W Amplifier'),
	(61, TRUE, 'NQ-A2120-G2-Amplifier', TRUE, 'Nyquist 2x120W or 1x240W Amplifier'),
	(62, TRUE, 'NQ-A2300-G2-Amplifier', TRUE, 'Nyquist 2x300W or 1x600W Amplifier'),
	(63, TRUE, 'NQ-A4060-G2-Amplifier', TRUE, 'Nyquist 4x60W or 2x60W and 1x120W or 2x120W Amplifier'),
	(64, TRUE, 'NQ-A4120-G2-Amplifier', TRUE, 'Nyquist 4x120W or 2x120W and 1x240W or 2x240W Amplifier'),
	(65, TRUE, 'NQ-A4300-G2-Amplifier', TRUE, 'Nyquist 4x300W or 2x300W and 1x600W or 2x600W Amplifier'),
	(66, TRUE, 'NQ-EDP01-Entry Door Phone', TRUE, 'Nyquist Entry/Door Phone'),
	(67, TRUE, 'NQ-GA400P-AoIP Gateway', TRUE, 'Nyquist Audio over IP Gateway'),
	(68, TRUE, 'NQ-GA40P3-Amplifier with Line In/Out', TRUE, 'Nyquist VoIP Amplifier with 40W output and line input/output');


SELECT * FROM device_types_enum;
