USE asterisk;
/*
 * Digit Maps for IP Phones that support configurable Digit maps
 *
 * This table contains digit map strings for IP phones that support
 * configurable digit maps (e.g. Digium, Snom).
 *
 * digit_map.id       - Unique ID for digit map entry
 *  .phone_type       - Type of phone for this digit map
 *  .map_string       - The digit map for this phone type
 *
 */
TRUNCATE TABLE digit_map;
INSERT INTO digit_map (id, phone_type, map_string)
VALUES	('1', 'Digium', '#0911|##0911|#0|##0|#[1-9]|##[1-9]|#[0-9]x|#[0-9]xx|*xxx|xxx'),
	('2', 'Snom',   '\"!^0!0!d\" \"!^911!*0!d\" \"!^\\*0!*0!d\" \"!^([0-9]{3})$!\\1!d\"');
SELECT * FROM digit_map;

TRUNCATE TABLE digit_map_help;
INSERT INTO digit_map_help (phone_type, map_string)
VALUES ('The phone type supporting this digit map (e.g. Digium, Snom).',
	'The digit map string to send to the phone.');
SELECT * FROM digit_map_help;
