USE asterisk;
/*
 * Multicast RTP IP Address configuration
 *
 * This table is used to configure IP addresses for Multicast RTP streams.
 * We assume that 10 multicast streams are available (Snom phone provides 10).
 * We reserve one for All-Call/Emergency-All-Call paging, and reserve another
 * for Audio Distribution.
 *
 * multicast_rtp.id - This index represents the slot number to use for the
 *                    specified IP address.
 *
 * .zone_id - Id of the Zone (pagingzones.id) that uses the defined
 *            Multicast IP Address
 *
 * .multicast_ip_address - The IP Address to use for the RTP multicast stream
 *
 * .multicast_ip_port - The Port number to use for associated IP address
 *
 * NOTE: multicast_rtp.id = 1 is reserved for Audio Distribution.
 *       multicast_rtp.id = 10 is reserved for All-Call Page and
 *                          Emergency All-Call Page.
 *       multicast_rtp.id = (2..9) can be assigned to paging zones.
 *
 */
TRUNCATE TABLE multicast_rtp;
SELECT * FROM multicast_rtp;

TRUNCATE TABLE multicast_rtp_help;
INSERT INTO multicast_rtp_help (multicast_ip_address, multicast_ip_port)
VALUES	('Multicast IP Address to use.',
	 'Multicast IP Port to use.');
SELECT * FROM multicast_rtp_help;
