/*
 * Outside Access Types for "Outside Line" entries (in outside_line table)
 *
 *  outside_line_access_types.supported is TRUE if row is supported for product.
 *
 */
TRUNCATE TABLE outside_line_access_types;
INSERT INTO outside_line_access_types (supported, name, help)
VALUES	(TRUE, 'No Access', 'Disables use of this outside line.'),
	(TRUE, 'Unrestricted', 'Unrestricted access for incoming and outgoing calls.'),
        (TRUE, 'Outgoing Only', 'Can only be used to place outgoing calls, cannot be used for incoming calls.'),
        (TRUE, 'Incoming Only', 'Can only be used for incoming calls, cannot be used for outgoing calls.'),
	(FALSE, 'Private Line', 'Only the day admin phone can use this line during the day time, and only the night admin phone can use this line during the night time.'),
	(TRUE, 'DISA - Bi-directional - No password', 'Incoming DISA, no password required; Outgoing calls.'),
	(TRUE, 'DISA - Bi-directional - Password', 'Incoming DISA, password required; Outgoing calls.'),
	(TRUE, 'DISA - Incoming only  - No password', 'Incoming DISA, no password required.'),
	(TRUE, 'DISA - Incoming only  - Password', 'Incoming DISA, password required.'),
	(TRUE, 'Security DISA - Bi-directional - Listen only', 'Monitor stations'),
	(TRUE, 'Security DISA - Incoming only - Listen only', 'Monitor stations'),
	(TRUE, '911 Only', '911 outbound access only'),
	(TRUE, 'PBX Connection - Incoming only, No DISA', 'PBX connection, no DISA option.'),
	(TRUE, 'PBX Connection - Incoming only, Allow DISA,No password', 'PBX connection with DISA option, no password required.'),
	(TRUE, 'PBX Connection - Incoming only, Allow DISA,Password', 'PBX connection with DISA option, password required.'),
	(TRUE, 'PBX Connection - Incoming only, Security DISA', 'Monitor stations'),
	(TRUE, 'PBX Connection - Bi-directional, No DISA', 'PBX connection, no DISA option.'),
	(TRUE, 'PBX Connection - Bi-directional, Allow DISA,No password', 'PBX connection with DISA option, no password required.'),
	(TRUE, 'PBX Connection - Bi-directional, Allow DISA,Password', 'PBX connection with DISA option, password required.'),
	(TRUE, 'PBX Connection - Bi-directional, Security DISA', 'Monitor stations');
SELECT * FROM outside_line_access_types;
