/*
 * Schedule Announcements Help text
 *
 * This table defines help text for scheduled routines
 *
 */
DROP TABLE IF EXISTS schedule_announcements_help;
CREATE TABLE schedule_announcements_help (
	id 			int(2) unsigned NOT NULL AUTO_INCREMENT,
	name			varchar(32) NOT NULL,
	`type`			varchar(40) NOT NULL,
	signal_date		varchar(32) NOT NULL,
	signal_time		varchar(32) NOT NULL,
	zone			varchar(32) NOT NULL,
	max_wait_seconds	varchar(255) NOT NULL,
	enable_recurrence	varchar(128) NOT NULL,
	recurrence_start_date	varchar(128) NOT NULL,
	recurrence_end_date	varchar(128) NOT NULL,
	cron_minute		varchar(255) NOT NULL,
	cron_hour		varchar(255) NOT NULL,
	cron_day		varchar(255) NOT NULL,
	cron_month		varchar(255) NOT NULL,
	cron_day_of_week	varchar(255) NOT NULL,
	second			varchar(32) NOT NULL,
 PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO schedule_announcements_help (name, `type`, signal_date, signal_time, zone, max_wait_seconds, enable_recurrence, recurrence_start_date, recurrence_end_date, cron_minute, cron_hour, cron_day, cron_month, cron_day_of_week, second)
VALUES ('User supplied name.',
	'Announcement type: Emergency or Normal.',
	'Date to play Announcement.',
	'Time to play Announcement.',
	'Zone to play Announcement to.',
	'If Zone to play to is busy at the scheduled time, the system will wait this number of seconds for the Zone to become idle to allow the Announcement to play. If the maximum wait seconds expires before the zone becomes idle, the Announcement will not play.',
	'When enabled, allows you to specify a recurring schedule for playing the Announcement.',
	'Date that recurring schedule will play the Announcement.',
	'Date that recurring schedule will stop playing the Announcement; or no end date.',
	'List of minutes to play Announcement on. Example: If 0, 15, 30 and 45 are selected, the Announcement will play every 15 minutes on the hours, days, months and day-of-week specified.',
	'List of hours to play Announcement on. Example: If 9am, 11am, 1pm are selected, the Announcement will play on those hours at the minutes, days, months, and day-of-week specified.',
	'List of days to play Announcement. Example: If 1st and 15th are specified, the Announcement will play on the 1st and 15th day of the specified months.',
	'List of months to play Announcement. Example: If January is specified, the Announcement will only play during the month of January.',
	'List of day-of-week to play Announcement. Example: If Monday is specified, the Announcement will only play on Mondays of the specified months and days at the specified hour, minute and second.',
	'Second to play Announcement on.');
