/*
 * Schedule Routine Help text
 *
 * This table defines help text for scheduled routines
 *
 */
DROP TABLE IF EXISTS scheduled_routines_help;
CREATE TABLE scheduled_routines_help (
	id 			int(2) unsigned NOT NULL AUTO_INCREMENT,
	routine_id		varchar(32) NOT NULL,
	signal_date		varchar(32) NOT NULL,
	signal_time		varchar(32) NOT NULL,
	command_param1		varchar(128) NOT NULL,
	command_param2		varchar(128) NOT NULL,
	zone			varchar(255) NOT NULL,
	enable_recurrence	varchar(128) NOT NULL,
	recurrence_start_date	varchar(128) NOT NULL,
	recurrence_end_date	varchar(128) NOT NULL,
	cron_minute		varchar(255) NOT NULL,
	cron_hour		varchar(255) NOT NULL,
	cron_day		varchar(255) NOT NULL,
	cron_month		varchar(255) NOT NULL,
	cron_day_of_week	varchar(255) NOT NULL,
	second			varchar(32) NOT NULL,
 PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO scheduled_routines_help (routine_id, signal_date, signal_time, command_param1, command_param2, zone, enable_recurrence, recurrence_start_date, recurrence_end_date, cron_minute, cron_hour, cron_day, cron_month, cron_day_of_week, second)
VALUES ('Routine to execute.',
	'Date to execute routine.',
	'Time to execute routine.',
	'First command parameter to make available to Routine during execution, referenced by $schedParam1',
	'Second command parameter to make available to Routine during execution, referenced by $schedParam2',
	'Zone number to provide scheduled Routine for actions that require a zone number or that use the $zone variable, e.g., Feature-Wait, Dash-Text, Display-Msg, and Email actions.',
	'When enabled, allows you to specify a recurring schedule for executing the Routine.',
	'Date that recurring schedule will start executing the routine.',
	'Date that recurring schedule will stop executing the routine; or no end date.',
	'List of minutes to execute routine on. Example: If 0, 15, 30 and 45 are selected, the Routine will be executed every 15 minutes on the hours, days, months and day-of-week specified.',
	'List of hours to execute routine on. Example: If 9am, 11am, 1pm are selected, the Routine will be executed on those hours at the minutes, days, months, and day-of-week specified.',
	'List of days to execute routine. Example: If 1st and 15th are specified, the Routine will be executed on the 1st and 15th day of the specified months.',
	'List of months to execute routine. Example: If January is specified, the Routine will only be executed during the month of January.',
	'List of day-of-week to start routine. Example: If Monday is specified, the Routine will only be executed on Mondays of the specified months and days at the specified hour, minute and second.',
	'Second to execute routine on.');
