/*
 * Station Types
 *
 *  station_types_enum.supported is TRUE if row is supported for product.
 *
 *  NOTE: The first row in this table (id=1) must be for the "Admin Phone"
 *        because the Web UI expects it. Please do not move the "Admin Phone",
 *        leave it as the first row (id=1).
 *
 */
TRUNCATE TABLE station_types_enum;
INSERT INTO station_types_enum (id, supported, can_hangup, name, help)
VALUES	(1, TRUE, TRUE, 'Admin Phone', 'VoIP Phone with Admin capabilities'),
	(2, TRUE, TRUE, 'Admin Web Interface', 'Admin calling functions via Web Browswer Interface'),
	(3, TRUE, TRUE, 'Admin PBX Extension', 'Admin extension on PBX system'),
	(4, FALSE, TRUE, 'Web Interface', 'Calling functions via Web Browser Interface'),
	(5, TRUE, TRUE, 'IP Phone', 'VoIP Phone with handset'),
	(6, TRUE, TRUE, 'Mobile Device', 'Calling functions via Mobile Device'),
	(7, TRUE, FALSE, 'VoIP Speaker Only', 'Ceiling or wall-mounted speaker that connects to the system using VoIP.'),
	(8, FALSE, TRUE, 'Non-Dial Handset Only', 'Telephone style handset without dialing capabilities.'),
	(9, FALSE, TRUE, 'Non-Dial Handset & Speaker', 'Both speaker and non-dial handset capabilities'),
	(10, TRUE, FALSE, 'Analog Call Switch & Speaker', 'Call Switch and Speaker capabilites'),
	(11, TRUE, FALSE, 'Digital Call Switch & Speaker', 'Call Switch and Speaker capabilities with call switch LED segments that indicate call status.'),
	(12, FALSE, TRUE, 'Non-Dial Handset, Call Switch, & Speaker', 'TBD'),
	(13, TRUE, TRUE, 'Analog Phone', 'Analog phone via FXS port.'),
	(14, FALSE, TRUE, 'Analog Phone & Speaker', 'Standard analog phone and speaker capabilities'),
	(15, FALSE, TRUE, 'Analog Phone, Call Switch, & Speaker', 'TBD'),
	(16, FALSE, TRUE, 'Outside Line', 'Telephone that connects directly to an outside line.'),
	(17, TRUE, TRUE, 'DISA Line', 'Telephone DISA capabilities, enabling feature control from remote telephones.'),
	(18, FALSE, TRUE, 'Student Phone', 'Outbound-call only student phone...'),
	(19, TRUE, TRUE, '911 Line', 'Capability to initiate a 911 call from a dial phone.'),
	(20, FALSE, TRUE, 'Facility', 'Extension used by remote facilities to define local Class-Of-Service permissions.'),
	(21, TRUE, FALSE, 'I/O Controller', 'NQ-E7010 I/O Controller.'),
	(22, TRUE, FALSE, 'Matrix Mixer Pre-Amp', 'NQ-P0100 Matrix Mixer Pre-Amplifier.'),
	(23, TRUE, FALSE, 'Paging-Audio Amp', 'Paging/Audio Amplifier, no intercom.'),
	(24, TRUE, FALSE, 'Paging-Audio-Intercom Module', 'Paging/Audio/Intercom Module with output contacts.'),
	(25, FALSE, FALSE, 'Paging-Audio-Intercom-Display Module', 'Paging/Audio/Intercom Module with HDMI display, call switch, and output contacts.'),
	(26, FALSE, FALSE, 'Paging-Audio-BalancedLineOut Amp', 'Paging/Audio Amplifier with balanced line level output.'),
	(27, TRUE, FALSE, 'Ambient Noise Sensor','Has attached Ambient Noise Sensor for automatically controlling paging output volume.'),
	(28, TRUE, FALSE, 'Push-To-Talk Microphone','Has attached Push-To-Talk Microphone for paging.'),
	(29, TRUE, FALSE, 'Audio Gateway','Audio over IP Gateway');
SELECT * FROM station_types_enum;
