USE asterisk;
/*
 * System Help Definition
 *
 * (C) Copyright 2017-2019, Bogen Communications, Inc. All rights reserved.
 *
 * This table contains help text for the system table fields.
 *
 */
DROP TABLE IF EXISTS system_help;
CREATE TABLE system_help (
	id			varchar(128) DEFAULT '',
	name			varchar(256),
	day_start		varchar(256),
	night_start		varchar(256),
	ip_multicast_rtp	varchar(256),
	ip_multicast_port	varchar(256),
	eallcall_volume		varchar(128),
	allcall_multicast_ip	varchar(128),
	allcall_multicast_port	varchar(128),
	allcall_volume		varchar(128),
	audiodist_multicast_ip	varchar(128),
	audiodist_multicast_port varchar(128),
	audiodist_volume	varchar(128),
	disable_preannounce_tone varchar(256),
	default_station_password varchar(256),
	dialing_length		varchar(256),
	emergency_tone		varchar(128),
	default_codecs_allowed	varchar(128),
	all_call_tone		varchar(128),
	privacy_beep		varchar(128),
	intercom_tone		varchar(128),
	default_volume		varchar(128),
	ip_ntp_server		varchar(160),
	admin_queue_timeout	varchar(256),
	server_date_time	varchar(128),
	time_zone		varchar(128),
	nightring_enabled	varchar(128),
	nightring_admin_extension varchar(256),
	nightring_admin_group	varchar(128),
	nightring_zonelist	varchar(128),
	nightring_allstations	varchar(128),
	dhcp_override		varchar(128),
	server_ipaddr		varchar(128),
	parking_lot		varchar(128),
	record_monitoring	varchar(128),
	emergency_link		varchar(128),
	max_restricted_digits	varchar(128),
	disa_password		varchar(128),
	security_disa_password	varchar(128),
	call_log_length		varchar(128),
	trunk_priority		varchar(128),
	bump_on_emergency	varchar(128),
	bump_on_911		varchar(128),
	auth_code		varchar(192),
	maximum_concurrent_calls_limit varchar(192),
	current_calls_count	varchar(128),
	call_assurance_audio	varchar(128),
	remote_facility_cos	varchar(128),
	neighbor_secret		varchar(128),
	rtpstart		varchar(64),
	rtpend			varchar(64),
	rtpchecksums		varchar(64),
	icesupport		varchar(64),
	stunaddr		varchar(256),
	turnaddr		varchar(256),
	turnusername		varchar(64),
	turnpassword		varchar(64),
	vlan_enabled		varchar(128),
	vlan_id			varchar(128),
	priority_802_1p		varchar(128),
	maximum_station_limit	varchar(128),
	station_count		varchar(128),
	retention_recordings	varchar(128),
	backup_retention_system	varchar(128),
	backup_retention_recordings	varchar(128),
	backup_retention_voicemail	varchar(128),
	appliance_ntp_source	varchar(128),
	maximum_pagezone_limit	varchar(128),
	pagezone_count		varchar(128),
	maximum_intercom_calls  varchar(128),
	queue_count		varchar(128),
	maximum_page_stacking_queues	varchar(128),
	ans_multicast_ip	varchar(128),
	ans_multicast_port	varchar(128),
	teamviewer_enabled	varchar(128),
	enable_routines_api	varchar(255),
	allow_local_eallcall_page_interrupt	varchar(255),
	allow_multisite_eallcall_page_interrupt	varchar(255),
	pin_multisite_emerg_all_call	varchar(255),
	pin_multisite_all_call		varchar(255),
	pin_facility_page		varchar(255),
	pin_emerg_all_call		varchar(255),
	pin_all_call			varchar(255),
	pin_emerg_announcement		varchar(255),
	pin_announcement		varchar(255),
	pin_facility_emerg_announcement	varchar(255),
	pin_facility_announcement	varchar(255),
	pin_zone_page			varchar(255),
	pin_alarm			varchar(255),
	pin_tone			varchar(255),
	disable_eallcall_intercom_when_audiodisabled varchar(255),
	automatic_failover		varchar(255),
	zone_control_password		varchar(255),
	routine_api_key			varchar(70),
	include_ip_addresses_in_ssl_san_list varchar(76),
	map_feature			varchar(255),
	remote_calendar_control		varchar(255),
	calendar_control_access_list	varchar(255),
	routine_api_license		varchar(255),
	backup_tone			varchar(128),
	text_to_speech			varchar(128),
	cri_enabled			varchar(128),
	cri_expiration			varchar(150),
	weather_api_key			varchar(88),
	weather_zipcode			varchar(65),
PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO system_help (name, day_start, night_start, ip_multicast_rtp, disable_preannounce_tone, default_station_password, dialing_length, emergency_tone, default_codecs_allowed, all_call_tone,privacy_beep, intercom_tone, default_volume, ip_ntp_server, admin_queue_timeout, server_date_time, time_zone, nightring_enabled, nightring_admin_extension, nightring_admin_group, nightring_zonelist, nightring_allstations, dhcp_override, server_ipaddr, audiodist_multicast_ip, parking_lot, record_monitoring, emergency_link, max_restricted_digits, disa_password, security_disa_password, call_log_length, trunk_priority, bump_on_emergency, bump_on_911, auth_code, maximum_concurrent_calls_limit, current_calls_count, call_assurance_audio, ip_multicast_port, audiodist_multicast_port, neighbor_secret, remote_facility_cos, rtpstart, rtpend, rtpchecksums, icesupport, stunaddr, turnaddr, turnusername, turnpassword, allcall_multicast_ip, allcall_multicast_port, vlan_enabled, vlan_id, priority_802_1p, eallcall_volume, allcall_volume, audiodist_volume, maximum_station_limit, station_count, retention_recordings, backup_retention_system, backup_retention_recordings, backup_retention_voicemail, appliance_ntp_source, maximum_pagezone_limit, pagezone_count, maximum_intercom_calls, queue_count, maximum_page_stacking_queues, ans_multicast_ip, ans_multicast_port, teamviewer_enabled, enable_routines_api, allow_local_eallcall_page_interrupt,allow_multisite_eallcall_page_interrupt, pin_multisite_emerg_all_call, pin_multisite_all_call, pin_facility_page, pin_emerg_all_call, pin_all_call, pin_emerg_announcement, pin_announcement, pin_facility_emerg_announcement, pin_facility_announcement, pin_zone_page, pin_alarm, pin_tone, disable_eallcall_intercom_when_audiodisabled, automatic_failover, zone_control_password, routine_api_key, include_ip_addresses_in_ssl_san_list,map_feature,remote_calendar_control,calendar_control_access_list,routine_api_license,backup_tone,text_to_speech, cri_enabled, cri_expiration, weather_api_key, weather_zipcode)
VALUES ('Facility name, that refers to the entire facility.',
	'Identifies when the system switches to its \"Day\" mode of operation and specifies the time period for which the day administrative station is active.',
	'Identifies when the system switches to its \"Night\" mode of operation and specifies the time period for which the night administrative station is active.',
	'IP Address to use for multicast RTP paging for Emergency-All-Call. Receiving IP phones must also have this IP address configured.',
	'If checked, indicates that the pre-announce tone is disabled and will not be heard when connecting to a speaker or prior to a page.',
	'When adding a new station, this password will be used as the default password.',
	'Specifies the number of digits required to dial within the system. Valid values are 3, 4, 5 or 6.',
	'Defines the pre-announce tone played when an Emergency All-Call is made.',
	'The default list of Media Codecs to allow.',
	'Defines the pre-announce tone played when an All-Call is made.',
	'If checked, indicates that privacy beep is disabled.',
	'Defines the pre-announce tone played when an intercom call is made.',
	'Defines the default cut volume for a new zone.',
	'The IP address or domain name of the Network Time Protocol Server to be used. Must be a valid NTP server, or provided by DHCP.',
	'Specifies the maximum amount of time that a call switch/handset station can remain on an administrative queue before being removed from queue. Valid timeout values range from 1 to 999 minutes.',
	'Set the date and time of the server. Note: NTP will still override manually set time, this is normal.',
	'Set the time zone of the server. Note: NTP does not set the server time zone, it must be set locally.',
	'Enable/Disable Night Ring.',
	'Identifies the specific administrative station that handles outside line calls received during night hours. Outside line calls not answered within 15 seconds trigger ringing to all or selected stations.',
	'Identifies the Admin Group that handles outside line calls received during night hours. Valid only if Night Ring Admin is blank.',
	'Identifies which zones receive night ring when outside calls are received during night hours.',
	'If enabled, indicates that all stations receive night ring during night hours. Any ringing station can answer the call.',
	'When enabled, Network Time Server will be set by DHCP.',
	'Nyquist Server IP Address. Nyquist devices and admin phones will use this IP address to register with the Nyquist server.',
	'The RTP Multicast IP Address to use for Audio Distribution to all stations.',
	'Defines the range of numbers to use for Call Parking. The first number listed is used to initiate Call Parking.',
	'When enabled, call and location monitoring will be recorded.',
	'Specifies the station that functions as the emergency link station. A value of 999 means that the feature is disabled.',
	'Maximum number of digits that can be dialed, if a station has been assigned restricted outside line access.',
	'Four-digit password for Direct Inward Station Access (DISA).',
	'Four-digit password for Security DISA.',
	'Number of days to keep a record of call details.',
	'Identifies the first trunk type to use for placing outbound calls.',
	'When enabled, emergency calls to admin will bump existing non-emergency calls.',
	'When enabled, outbound calls to 911 will bump trunk calls if no available outbound trunk is available.',
	'Allows the user to enable additional features on a phone when the walking CoS feature is enabled. The four-digit code activates features from the associated phone to the phone being used.',
	'The maximum number of concurrent calls includes: Calls, Paging, Tones, Alarms, and Announcements. Contact technical support to increase.',
	'The current number of calls open in the system.',
	'Audio to be played to caller indicating that call has been placed.',
	'Port number to use for multicast RTP paging for Emergency-All-Call. Receiving IP phones must also have this port configured.',
	'The RTP Multicast Port to use for Audio Distribution to all stations.',
	'Password to be used by facility servers that are registering with this server.',
	'Class-Of-Service for remote facility access.',
	'Start port number for UDP RTP traffic. Default is 10000.',
	'Stop port number for UDP RTP traffic. Default is 20000.',
	'Whether to enable or disable UDP checksums on RTP traffic.',
	'Whether to enable or disable ICE support.',
	'Hostname or IP address for the STUN server used when determining the external IP address and port an RTP session can be reached at (e.g. stun.l.google.com:19302). The port number is optional. If omitted the default value of 3478 will be used.',
	'Hostname or address for the TURN server to be used as a relay. The port number is optional. If omitted the default value of 3478 will be used.',
	'Username used to authenticate with TURN relay server.',
	'Password used to authenticate with TURN relay server.',
	'IP Address to use for multicast RTP paging for All-Call. Receiving IP phones must also have this IP address configured.',
	'Port number to use for multicast RTP paging for All-Call. Receiving IP phones must also have this port configured.',
	'Enable/disable VLAN tagging.',
	'VLAN ID. Valid values: 0 - 4094',
	'802.1p priority. Valid values: 0 - 7',
	'Cut volume for Emergency-All-Call audio.',
	'Cut volume for All-Call audio.',
	'Cut volume for Audio Distribution.',
	'The maximum number of stations. Contact technical support to increase.',
	'The current number of stations in the system.',
	'Number of days to retain recordings, older recordings will automatically be deleted .',
	'Number of days to retain System Backups, older backups will automatically be deleted.',
	'Number of days to retain Recordings Backups, older backups will automatically be deleted.',
	'Number of days to retain Voicemail Backups, older backups will automatically be deleted.',
	'Source of NTP Server value used by all Nyquist Appliances.',
	'The maximum number of page zones. Contact technical support to increase.',
	'The current number of page zones in the system.',
	'The maximum number of intercom calls allowed.',
	'The current number of queues in the system.',
	'The maximum number of page stacking queues allowed.',
	'The Multicast IP Address to be used by Ambient Noise Sensors to send volume data.',
	'The Multicast port number to be used by Ambient Noise Sensors to send volume data.',
	'When enabled, allows remote teamviewer connections to this Nyquist server.',
	'When enabled, routines that have Allow API enabled can be executed via the routines API',
	'When enabled, Emergency-All-Call Page can be interrupted by local caller after supplying system password.',
	'When enabled, Emergency-All-Call Page can be interrupted by Multi-Site-Emergency-All-Call Page.',
	'For Multi-Site Emergency All-Call, 0000 means request confirmation. When a 4-digit code, caller is requested to enter the 4-digit code before proceeding.',
	'For Multi-Site All-Call, 0000 means request confirmation. When a 4-digit code, caller is requested to enter the 4-digit code before proceeding.',
	'For Facility Page, 0000 means request confirmation. When a 4-digit code, caller is requested to enter the 4-digit code before proceeding.',
	'For Emergency All-Call Page, 0000 means request confirmation. When a 4-digit code, caller is requested to enter the 4-digit code before proceeding.',
	'For All-Call Page, 0000 means request confirmation. When a 4-digit code, caller is requested to enter the 4-digit code before proceeding.',
	'For Emergency Announcements, 0000 means request confirmation. When a 4-digit code, caller is requested to enter the 4-digit code before proceeding.',
	'For Announcements, 0000 means request confirmation. When a 4-digit code, caller is requested to enter the 4-digit code before proceeding.',
	'For Facility Emergency Announcements, 0000 means request confirmation. When a 4-digit code, caller is requested to enter the 4-digit code before proceeding.',
	'For Facility Announcements, 0000 means request confirmation. When a 4-digit code, caller is requested to enter the 4-digit code before proceeding.',
	'For Zone Page, 0000 means request confirmation. When a 4-digit code, caller is requested to enter the 4-digit code before proceeding.',
	'For Alarms, 0000 means request confirmation. When a 4-digit code, caller is requested to enter the 4-digit code before proceeding.',
	'For Tones, 0000 means request confirmation. When a 4-digit code, caller is requested to enter the 4-digit code before proceeding.',
	'When Audio is Disabled, also disable Emergency All-Call pages and Intercom Calls.',
	'If the displayed value is Licensed on the Secondary node, the Automatic Failover feature is licensed and can be configurred and used. The Primary node will display Not Licensed until after Automatic Failover is configured.',
	'Password for logging into Zone Control tools.',
	'API key used for access to Routine API with additional 2 parameters.',
	'List of additional SAN IP addresses to include in BogenCA SSL certificate.',
	'The map panel is available on the Dashboard when the Map Feature is Licensed.',
	'When set to Allow Facilities, all facilities in the Facilities list will be allowed to control this facilitys calendar. When set to Allow Access List, the list of facilities defined in the Calendar Control Access List are allowed to control the calendar.',
	'Space or comma separated list of facilities (facility IP Addresses) that are allowed to remotely control this facilitys calendar.',
	'If the displayed value is Licensed, the Routines API can be enabled. If the value is Not Licensed, contact Bogen or an Authorized Reseller to purchase the Routines API License Key.',
	'Tone played by Nyquist appliances for scheduled events while appliance is not connected to the network.',  
	'This is a one-time, system-wide license required to enable TTS-based announcements within an E7000 system.',
	'Enable/Disable Callback Request Indicator feature for DCS-based stations.',
	'How many hours a Callback Request Indicator shall remain active before it will be turned off. A value of 0 indicates no expiration.',
	'API Key from openweathermap.org to use for Display-Msg Routine Action $weather variable.',
	'Zip Code to use for Display-Msg Routine Action $weather variable.');
SELECT * FROM system_help;
