USE asterisk;
/*
 * Multicast RTP IP Address configuration
 *
 * This table is used to configure IP addresses for Multicast RTP streams.
 * We assume that 10 multicast streams are available (Snom phone provides 10).
 *
 * multicast_rtp.id - This index represents the slot number to use for the
 *                    specified IP address.
 *
 * .zone_id - Id of the Zone (pagingzones.id) that uses the defined
 *            Multicast IP Address
 *
 * .multicast_ip_address - The IP Address to use for the RTP multicast stream
 *
 * .multicast_ip_port - The Port number to use for associated IP address
 *
 */
TRUNCATE TABLE multicast_rtp;
INSERT INTO multicast_rtp (id, zone_id, multicast_ip_address, multicast_ip_port)
VALUES	(1, 1, INET_ATON('239.1.1.4'),	'6064'),
	(2, 2, INET_ATON('239.1.1.5'),	'6068'),
	(3, 3, INET_ATON('239.1.1.6'),	'6072'),
	(4, 4, INET_ATON('239.1.1.7'),	'6076'),
	(5, 5, INET_ATON('239.1.1.8'),	'6080');
SELECT * FROM multicast_rtp;
