/*
 * Zone Types
 *
 *  zone_types_enum.supported is TRUE if row is supported for product.
 *
 *  NOTE: The first row in this table (id=1) must be for "Paging"
 *        because the Web UI expects it. Please do not move "Paging", 
 *        leave it as the first row (id=1).
 *
 */
TRUNCATE TABLE zone_types_enum;
INSERT INTO zone_types_enum (supported, name, help)
VALUES  (TRUE, 'Paging', 'This zone can be manually paged, but cannot be part of a scheduled time page or play audio distribution.'),
        (TRUE, 'Time', 'This zone can be part of a scheduled time page, but cannot be manually paged or play audio distribution.'),
        (TRUE, 'Paging+Time', 'This zone can be manually paged or part of a scheduled time page, but cannot play audio distribution.'),
	(TRUE, 'Audio', 'This zone can play audio distribution, but cannot be part of a scheduled time page or be manually paged.'),
	(TRUE, 'Paging+Audio', 'This zone can be manually paged or play audio distribution, but cannot be part of a scheduled time page.'), 
	(TRUE, 'Paging+Time+Audio', 'This zone can be manually paged, be part of a scheduled time page, or play audio distribution.'),
	(TRUE, 'Audio+Time', 'This zone can play audio distribution and be part of a scheduled page but cannot be manually paged.');
SELECT * FROM zone_types_enum;
